jQuery(document).ready(function ($) {


    $(document).on("click", ".submitMezzoForm", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        $("form[name='mezzoForm']").submit();
        return false;
    });
    $(document).on("click", ".elimina", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        var idChiamata = $("input[name='idChiamata']").val();
        if (confirm("Cancellare la chiamata e relativi interventi?")) {
            jQuery.ajax({
                type: 'POST',
                url: 'index.php?option=com_osma&task=chiamata.deleteChiamata&format=raw&tmpl=component',
                data: {
                    'idChiamata': idChiamata
                }
            }).done(function (data) {
                window.location.href = "index.php?option=com_osma&view=chiamate";
            });
        }
        return false;
    });
    jQuery(".date").datetimepicker({format: 'DD/MM/YYYY'});

    jQuery(document).on('click', '.aggiungi', function (event) {
        event.preventDefault();
        var html = '';
        var idMezzo = jQuery("form[name='mezzoForm'] input[name='id']").val();
        var kmRif = jQuery("form[name='mezzoForm'] input[name='kmFinaliRiferimento']").val();
        var cont = jQuery('#nRifornimenti').val();
        var i = parseInt(cont) + 1;

        html += "<form name='rifornimentoForm' id='rifornimentoForm'>";
        html += "<fieldset class='t3a-form'>";
        html += '<input type="hidden" value="' + idMezzo + '" name="rifornimento[idMezzo]" id="idMezzo" />';
        html += '<input type="hidden" value="" name="rifornimento[idRifornimento]" id="idRifornimento" />';
        html += '<div class="panel panel-warning">';
        html += '<div class="panel-heading" style="display:flex;align-items:center;">';
        html += '<h3 class="panel-title col-md-6">Rifornimento nr.' + i + '</h3>';
        html += '<div class="col-md-6 text-right">';
        html += '<button class="btn btn-warning btn-sm saveRifornimento" data-loading-text="<i class=\'fa fa-circle-o-notch fa-spin\'></i> Salvando..."><span class="glyphicon glyphicon-floppy-open"></span> Salva</button> ';
        html += '<button class="btn btn-danger btn-sm removeRifornimento"><span class="glyphicon glyphicon-remove"></span> Rimuovi rifornimento</button>';
        html += '</div>';
        html += '</div>';
        html += '<div class="panel-body">';
        html += '<div class="row">';
        html += '<div class="col-md-3 field ">';
        html += '<label>KM iniziali:</label>';
        if(i==1){
            html += '<input type="text" value="" name="rifornimento[kmIniziali]" class="form-control"/>';
        }else{
            html += '<input type="text" value="'+kmRif+'" name="rifornimento[kmIniziali]" class="form-control" />';
        }
        html += '</div>';
        html += '<div class="col-md-3 field">';
        html += '<label>KM finali:</label>';
        html += '<input type="text" value="" name="rifornimento[kmFinali]" class="form-control"/>';
        html += '</div>';
        html += '<div class="col-md-3 field">';
        html += '<label>Litri:</label>';
        html += '<input type="text" value="" name="rifornimento[litri]" class="form-control"/>';
        html += '</div>';
        html += '<div class="col-md-3 field">';
        html += '<label>Importo:</label>';
        html += '<input type="text" value="" name="rifornimento[importo]" class="form-control"/>';
        html += '</div>';
        html += '</div>';
        html += '</div>';
        html += '</fieldset>';
        html += '</form>';
        jQuery('.rifornimenti-group').prepend(html);
        jQuery('#nRifornimenti').val(i);
    });

    $(document).on("click", ".saveRifornimento", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        var stato=$(this);
        stato.button('loading');
        var dati = $(this).parents("form[name='rifornimentoForm']").serialize();
        $.ajax({
            url: "index.php?option=com_osma&task=mezzi.salvaRifornimento&format=raw",
            data: dati
        }).done(function (data) {
            var kmFinali = parseFloat(JSON.parse(data));
            var kmFinali2=parseFloat(jQuery("form[name='mezzoForm'] input[name='kmFinaliRiferimento']").val());
            alert(kmFinali);
            alert(kmFinali2);
            if(kmFinali2<kmFinali){
                jQuery("form[name='mezzoForm'] input[name='kmFinaliRiferimento']").val(kmFinali);
            }
            stato.button('reset');
        });
        return false;
    });

    jQuery(document).on('click', '.removeRifornimento', function (event) {
        event.preventDefault();
        var idRifornimento = jQuery(this).parents("form[name='rifornimentoForm']").find("#idRifornimento").val();
        var __this = jQuery(this);
        if (confirm("Cancellare il rifornimento selezionato?")) {
            if (idRifornimento != "new") {
                jQuery.ajax({
                    type: 'POST',
                    url: 'index.php?option=com_osma&task=mezzi.deleteRifornimento&format=raw&tmpl=component',
                    data: {
                        'idRifornimento': idRifornimento
                    }
                }).done(function (data) {
                    jQuery(__this).parents("form[name='rifornimentoForm']").remove();
                });
            }
            var cont = jQuery("#nRifornimenti").val();
            cont = parseInt(cont) - 1;
            jQuery("#nRifornimenti").val(cont);
        }
        return false;
    });


});