<?php

// no direct access
defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.helper');

class osmaHelper {

    public static function getAziende() {
        return array(
            1 => 'OSMA S.N.C.',
            2 => 'E2OIL S.R.L',
            3 => 'CIEMME S.R.L.',
        );
    }

    public function getUniquid() {
        $unique = strtoupper(substr(md5(uniqid(rand(), true)), 0, 8));
        $unique .= "-" . strtoupper(substr(md5(uniqid(rand(), true)), 0, 4));
        $unique .= "-" . strtoupper(substr(md5(uniqid(rand(), true)), 0, 4));
        $unique .= "-" . strtoupper(substr(md5(uniqid(rand(), true)), 0, 12));

        return $unique;
    }

    public static function getList($table = "#__osma_anagrafica_clienti", $order = "ragioneSociale ASC", $published = "published = 1") {
        if (!$table) {
            return null;
        }

        $dbo = JFactory::getDbo();
        $query = $dbo->getQuery(true);

        $query->select("*")
                ->from($dbo->quoteName($table));

        if ($published) {
            $query->where($published);
        }
        if ($order) {
            $query->order($order);
        }

        return $dbo->setQuery($query)->loadObjectList();
    }

    public function viewContattiList($id, $type) {
        $db = JFactory::getDBO();

        if ($type == 1) {
            $query = "SELECT riferimento,email,telefono
      FROM #__osma_clienti_contatti
      WHERE published=1 AND idCliente=" . $id . " ORDER BY riferimento ASC";
        } elseif ($type == 2) {
            $query = "SELECT riferimento,email,telefono
      FROM #__osma_fornitori_contatti
      WHERE published=1 AND idFornitore=" . $id . " ORDER BY riferimento ASC";
        } elseif ($type == 3) {
            $query = "SELECT riferimento,email,telefono
      FROM #__osma_gestori_contatti
      WHERE published=1 AND idGestore=" . $id . " ORDER BY riferimento ASC";
        }
        $db->setQuery($query);
        $db->query();
        $contatti = $db->loadObjectList();

        return $contatti;
    }

    public function pubblica($ids, $type) {
        $db = JFactory::getDBO();

        if ($type == 1) {
            foreach ($ids AS $idCliente) {
                $query = "UPDATE #__osma_anagrafica_clienti
        SET published=1
        WHERE idCliente=" . $idCliente;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 2) {
            foreach ($ids AS $idFornitore) {
                $query = "UPDATE #__osma_anagrafica_fornitori
        SET published=1
        WHERE idFornitore=" . $idFornitore;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 3) {
            foreach ($ids AS $idGestore) {
                $query = "UPDATE #__osma_anagrafica_gestori
        SET published=1
        WHERE idGestore=" . $idGestore;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 4) {
            foreach ($ids AS $idMarca) {
                $query = "UPDATE #__osma_anagrafica_marche
        SET published=1
        WHERE idMarca=" . $idMarca;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 5) {
            foreach ($ids AS $idTipologia) {
                $query = "UPDATE #__osma_anagrafica_tipologie
        SET published=1
        WHERE idTipologia=" . $idTipologia;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 6) {
            foreach ($ids AS $idModello) {
                $query = "UPDATE #__osma_anagrafica_modelli
        SET published=1
        WHERE idModello=" . $idModello;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 7) {
            foreach ($ids AS $idCompagnia) {
                $query = "UPDATE #__osma_anagrafica_compagnie
        SET published=1
        WHERE idCompagnia=" . $idCompagnia;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 8) {
            foreach ($ids AS $idMatricola) {
                $query = "UPDATE #__osma_anagrafica_matricole
        SET published=1
        WHERE idMatricola=" . $idMatricola;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        }

        return false;
    }

    public function sospendi($ids, $type) {
        $db = JFactory::getDBO();

        if ($type == 1) {
            foreach ($ids AS $idCliente) {
                $query = "UPDATE #__osma_anagrafica_clienti
        SET published=0
        WHERE idCliente=" . $idCliente;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 2) {
            foreach ($ids AS $idFornitore) {
                $query = "UPDATE #__osma_anagrafica_fornitori
        SET published=0
        WHERE idFornitore=" . $idFornitore;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 3) {
            foreach ($ids AS $idGestore) {
                $query = "UPDATE #__osma_anagrafica_gestori
        SET published=0
        WHERE idGestore=" . $idGestore;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 4) {
            foreach ($ids AS $idMarca) {
                $query = "UPDATE #__osma_anagrafica_marche
        SET published=0
        WHERE idMarca=" . $idMarca;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 5) {
            foreach ($ids AS $idTipologia) {
                $query = "UPDATE #__osma_anagrafica_tipologie
        SET published=0
        WHERE idTipologia=" . $idTipologia;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 6) {
            foreach ($ids AS $idModello) {
                $query = "UPDATE #__osma_anagrafica_modelli
        SET published=0
        WHERE idModello=" . $idModello;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 7) {
            foreach ($ids AS $idCompagnia) {
                $query = "UPDATE #__osma_anagrafica_compagnie
        SET published=0
        WHERE idCompagnia=" . $idCompagnia;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 8) {
            foreach ($ids AS $idMatricola) {
                $query = "UPDATE #__osma_anagrafica_matricole
        SET published=0
        WHERE idMatricola=" . $idMatricola;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        }

        return false;
    }

    public function rimuovi($ids, $type) {
        $db = JFactory::getDBO();

        if ($type == 1) {      //CLIENTI
            foreach ($ids AS $idCliente) {
                $query = "UPDATE #__osma_anagrafica_clienti SET deleted = 1 WHERE idCliente=" . $idCliente;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 2) {        //FORNITORI
            foreach ($ids AS $idFornitore) {
                $query = "UPDATE #__osma_anagrafica_fornitori
        SET deleted=1
        WHERE idFornitore=" . $idFornitore;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 3) {   //GESTORI
            foreach ($ids AS $idGestore) {
                $query = "UPDATE #__osma_anagrafica_gestori SET deleted = 1 WHERE idGestore = " . $idGestore;
                $db->setQuery($query);
                if (!$db->query()) {
                    return false;
                }
            }
            return true;
        } elseif ($type == 4) {   //MARCHE
            foreach ($ids AS $idMarca) {
                $query = "UPDATE #__osma_anagrafica_marche SET deleted = 1 WHERE idMarca = " . $idMarca;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 5) {
            foreach ($ids AS $idTipologia) {
                $query = "UPDATE #__osma_anagrafica_tipologie
        SET deleted=1
        WHERE idTipologia=" . $idTipologia;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 6) {
            foreach ($ids AS $idModello) {
                $query = "UPDATE #__osma_anagrafica_modelli
        SET deleted=1
        WHERE idModello=" . $idModello;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 7) {
            foreach ($ids AS $idCompagnia) {
                $query = "UPDATE #__osma_anagrafica_compagnie
        SET deleted=1
        WHERE idCompagnia=" . $idCompagnia;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        } elseif ($type == 8) {
            foreach ($ids AS $idMatricola) {
                $query = "UPDATE #__osma_anagrafica_matricole
        SET deleted=1
        WHERE idMatricola=" . $idMatricola;
                $db->setQuery($query);
                $db->query();
            }
            return true;
        }


        return false;
    }

    //funzione salvataggio anagrafiche (clienti - fornitori - gestori)
    public function salva($type) {
        $db = JFactory::getDBO();

        $id = JRequest::getVar("id");

        $idAzienda = JRequest::getVar("idAzienda");
        $ragioneSociale = JRequest::getVar("ragioneSociale");
        $indirizzo = JRequest::getVar("indirizzo");
        $comune = JRequest::getVar("comune");
        $provincia = JRequest::getVar("provincia");
        $cap = JRequest::getVar("cap");
        $piva = JRequest::getVar("piva");
        $cf = JRequest::getVar("cf");
        $contatti = JRequest::getVar("contatti");

        $data = new stdClass();
        $data->ragioneSociale = $ragioneSociale;
        $data->indirizzo = $indirizzo;
        $data->comune = $comune;
        $data->provincia = $provincia;
        $data->cap = $cap;
        $data->piva = $piva;
        $data->cf = $cf;
        $data->published = 1;
        $data->deleted = 0;

        if ($type == 1) {  //CLIENTE
            $data->idAzienda = $idAzienda;
            $data->sigla = JRequest::getVar("sigla");
            $data->layoutRapportino = JRequest::getVar("layoutRapportino");
            $data->logoRapportino = JRequest::getVar("logoRapportino");

            if (JRequest::getVar("username") && !JRequest::getVar("idUser")) {
                $query = $db->getQuery(true);
                $query->clear()->select("id")->from("#__usergroups")->where("LOWER(title) = 'clienti'");

                $db->setQuery($query);
                $idGroup = $db->loadResult();

                $userData = array(
                    "name" => $ragioneSociale,
                    "username" => JRequest::getVar("username"),
                    "email" => JRequest::getVar("usernameemail"),
                    "password" => JRequest::getVar("password"),
                    "block" => 0,
                    "groups" => array($idGroup)
                );

                jimport('joomla.user.helper');
                $user = new JUser;
                if (!$user->bind($userData)) {
                    throw new Exception("Impossibile caricare i dati dell'utente. Error: " . $user->getError());
                }
                if (!$user->save()) {
                    throw new Exception("Impossibile salvare il nuovo utente. Error: " . $user->getError());
                }
                $data->idUser = $user->get("id");
            }

            if ($id) {
                //modifica
                $data->idCliente = $id;
                $db->updateObject('#__osma_anagrafica_clienti', $data, idCliente);
                $result = $db->getErrorMsg();

                if (count($contatti) != 0) {
                    //cancello vecchi contatti
                    $query = 'DELETE FROM #__osma_clienti_contatti WHERE idCliente = "' . $id . '"';
                    $db->setQuery($query);
                    $db->query();
                }
            } else {
                $data->createDate = date('Y-m-d H:i:s');
                //salva
                $db->insertObject('#__osma_anagrafica_clienti', $data, idCliente);
                $id = $db->insertid();
                $result = $db->getErrorMsg();
            }
            //CONTATTI
            if (count($contatti) != 0) {

                foreach ($contatti as $contatto) {
                    if ($contatto['riferimento'] != "") {
                        $c = new stdClass();
                        $c->riferimento = $contatto['riferimento'];
                        $c->email = $contatto['email'];
                        $c->telefono = $contatto['telefono'];
                        $c->idCliente = $id;
                        $c->published = 1;
                        $db->insertObject('#__osma_clienti_contatti', $c, idClienteContatto);
                        $result = $db->getErrorMsg();
                    }
                }
            }
        } elseif ($type == 2) { //FORNITORE
            if ($id) {
                //modifica
                $data->idFornitore = $id;
                $db->updateObject('#__osma_anagrafica_fornitori', $data, idFornitore);
                $result = $db->getErrorMsg();

                if (count($contatti) != 0) {
                    //cancello vecchi contatti
                    $query = 'DELETE FROM #__osma_fornitori_contatti WHERE idFornitore = "' . $id . '"';
                    $db->setQuery($query);
                    $db->query();
                }
            } else {
                //salva
                $db->insertObject('#__osma_anagrafica_fornitori', $data, idFornitore);
                $id = $db->insertid();
                $result = $db->getErrorMsg();
            }
            //CONTATTI
            if (count($contatti) != 0) {

                foreach ($contatti as $contatto) {
                    if ($contatto['riferimento'] != "") {
                        $c = new stdClass();
                        $c->riferimento = $contatto['riferimento'];
                        $c->email = $contatto['email'];
                        $c->telefono = $contatto['telefono'];
                        $c->idFornitore = $id;
                        $c->published = 1;
                        $db->insertObject('#__osma_fornitori_contatti', $c, idFornitoreContatto);
                        $result = $db->getErrorMsg();
                    }
                }
            }
        } elseif ($type == 3) {  //GESTORE
            $data->idAzienda = $idAzienda;
            $nrRea = JRequest::getVar("nrRea");
            $nrPuntoVendita = JRequest::getVar("nrPuntoVendita");
            $idCliente = JRequest::getVar("idCliente");
            $idCompagnia = JRequest::getVar("idCompagnia");
            $cisterne = JRequest::getVar("cisterne");

            $data->nrRea = $nrRea;
            $data->nrPuntoVendita = $nrPuntoVendita;
            $data->idCliente = $idCliente;
            $data->idCompagnia = $idCompagnia;

            if (JRequest::getVar("username") && !JRequest::getVar("idUser")) {
                $query = $db->getQuery(true);
                $query->clear()->select("id")->from("#__usergroups")->where("LOWER(title) = 'gestori'");

                $db->setQuery($query);
                $idGroup = $db->loadResult();

                $userData = array(
                    "name" => $ragioneSociale,
                    "username" => JRequest::getVar("username"),
                    "email" => JRequest::getVar("usernameemail"),
                    "password" => JRequest::getVar("password"),
                    "block" => 0,
                    "groups" => array($idGroup)
                );

                jimport('joomla.user.helper');
                $user = new JUser;
                if (!$user->bind($userData)) {
                    throw new Exception("Impossibile caricare i dati dell'utente. Error: " . $user->getError());
                }
                if (!$user->save()) {
                    throw new Exception("Impossibile salvare il nuovo utente. Error: " . $user->getError());
                }
                $data->idUser = $user->get("id");
            }

            if ($id) {
                //modifica
                $data->idGestore = $id;
                $db->updateObject('#__osma_anagrafica_gestori', $data, idGestore);
                $result = $db->getErrorMsg();

                if (count($contatti) != 0) {
                    //cancello vecchi contatti
                    $query = 'DELETE FROM #__osma_gestori_contatti WHERE idGestore = "' . $id . '"';
                    $db->setQuery($query);
                    $db->query();
                }

                if (count($cisterne) != 0) {
                    //cancello cisterne
                    $query = 'DELETE FROM #__osma_anagrafica_cisterne WHERE idGestore = "' . $id . '"';
                    $db->setQuery($query);
                    $db->query();
                }
            } else {

                $db->insertObject('#__osma_anagrafica_gestori', $data, idGestore);
                $id = $db->insertid();



                $result = $db->getErrorMsg();
            }
            //CONTATTI
            if (count($contatti) != 0) {

                foreach ($contatti as $contatto) {
                    if ($contatto['riferimento'] != "") {
                        $c = new stdClass();
                        $c->riferimento = $contatto['riferimento'];
                        $c->email = $contatto['email'];
                        $c->telefono = $contatto['telefono'];
                        $c->idGestore = $id;
                        $c->published = 1;
                        $db->insertObject('#__osma_gestori_contatti', $c, idGestoreContatto);
                        $result = $db->getErrorMsg();
                    }
                }
            }

            //CISTERNE
            if (count($cisterne) != 0) {

                foreach ($cisterne as $cisterna) {
                    if ($cisterna['nrCisterna'] != "" && $cisterna['capienza'] != "") {
                        $ci = new stdClass();
                        $ci->nrCisterna = $cisterna['nrCisterna'];
                        $ci->capienza = $cisterna['capienza'];
                        $ci->idProdotto = $cisterna['prodotto'];
                        $ci->presenza = $cisterna['presenza'];
                        $ci->note = $cisterna['note'];
                        $ci->idGestore = $id;
                        $ci->published = 1;
                        $ci->createDate = date('Y-m-d H:i:s');
                        $db->insertObject('#__osma_anagrafica_cisterne', $ci, idCisterna);
                        $result = $db->getErrorMsg();
                    }
                }
            }
        }

        return $result;
    }

    //funzione salvataggio strumenti (marche - tipologie - modelli)
    public function salvaStrumenti($type) {
        $db = JFactory::getDBO();

        $id = JRequest::getVar("id");

        $dataToSave = JRequest::getVar("dataToSave");

        $data = new stdClass();

        $data->published = 1;
        $data->deleted = 0;

        if ($type == 1) {  //MARCA
            $data->marca = $dataToSave;
            $idTipologie = JRequest::getVar("idTipologie");
            $data->siglaRapportino = JRequest::getVar("siglaRapportino");
            if ($id) {
                //modifica
                $data->idMarca = $id;
                $db->updateObject('#__osma_anagrafica_marche', $data, idMarca);
                $result = $db->getErrorMsg();

                //DELETE ASSOCIAZIONE
                $query = 'DELETE FROM #__osma_xref_marca_tipologie WHERE idMarca = "' . $id . '"';
                $db->setQuery($query);
                $db->query();
                foreach ($idTipologie AS $idTipo) {
                    $dataTipo = new stdClass();
                    $dataTipo->idTipologia = $idTipo;
                    $dataTipo->idMarca = $id;
                    $db->insertObject('#__osma_xref_marca_tipologie', $dataTipo, id);
                    $result = $id;
                }
            } else {
                $data->createDate = date('Y-m-d H:i:s');
                //salva
                $db->insertObject('#__osma_anagrafica_marche', $data, idMarca);
                $id = $db->insertid();
                $result = $db->getErrorMsg();

                foreach ($idTipologie AS $idTipo) {
                    $dataTipo = new stdClass();
                    $dataTipo->idTipologia = $idTipo;
                    $dataTipo->idMarca = $id;
                    $db->insertObject('#__osma_xref_marca_tipologie', $dataTipo, id);
                    $result = $id;
                }
            }
        } elseif ($type == 2) { //TIPOLOGIA
            $data->tipologia = $dataToSave;
            $idMarche = JRequest::getVar("idMarche");
            if ($id) {
                //modifica
                $data->idTipologia = $id;
                $db->updateObject('#__osma_anagrafica_tipologie', $data, idTipologia);
                $result = $db->getErrorMsg();

                //DELETE ASSOCIAZIONE
                $query = 'DELETE FROM #__osma_xref_marca_tipologie WHERE idTipologia = "' . $id . '"';
                $db->setQuery($query);
                $db->query();
                foreach ($idMarche AS $idMarca) {
                    $dataMarca = new stdClass();
                    $dataMarca->idMarca = $idMarca;
                    $dataMarca->idTipologia = $id;
                    $db->insertObject('#__osma_xref_marca_tipologie', $dataMarca, id);
                    $result = $id;
                }
            } else {
                //salva
                $db->insertObject('#__osma_anagrafica_tipologie', $data, idTipologia);
                $id = $db->insertid();
                $result = $db->getErrorMsg();

                foreach ($idMarche AS $idMarca) {
                    $dataMarca = new stdClass();
                    $dataMarca->idMarca = $idMarca;
                    $dataMarca->idTipologia = $id;
                    $db->insertObject('#__osma_xref_marca_tipologie', $dataMarca, id);
                    $result = $id;
                }
            }
        } elseif ($type == 3) {  //MODELLO
            $idMarca = JRequest::getVar("marca");
            $idTipologia = JRequest::getVar("tipologia");

            $data->modello = $dataToSave;
            $data->idMarca = $idMarca;
            $data->idTipologia = $idTipologia;
            $data->siglaRapportino = JRequest::getVar("siglaRapportino");

            if ($id) {
                //modifica
                $data->idModello = $id;
                $db->updateObject('#__osma_anagrafica_modelli', $data, idModello);
                $result = $db->getErrorMsg();
            } else {
                //salva
                $db->insertObject('#__osma_anagrafica_modelli', $data, idModello);
                $id = $db->insertid();
                $result = $db->getErrorMsg();
            }
        } elseif ($type == 4) {  //COMPAGNIA
            $data->compagnia = $dataToSave;
            $data->fascia = JRequest::getVar("fascia");
            $data->compagniaColor = JRequest::getVar("compagniaColor");
            $data->iconColor = JRequest::getVar("iconColor");

            if ($id) {
                //modifica
                $data->idCompagnia = $id;
                $db->updateObject('#__osma_anagrafica_compagnie', $data, idCompagnia);
                $result = $db->getErrorMsg();
            } else {
                //salva
                $db->insertObject('#__osma_anagrafica_compagnie', $data, idCompagnia);
                $id = $db->insertid();
                $result = $db->getErrorMsg();
            }
        }

        return $result;
    }

    static function getCliente($id) {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->clear()
                ->select("*")
                ->select("(SELECT email FROM #__osma_clienti_contatti WHERE idCliente = cli.idCliente LIMIT 0,1) as email, (SELECT telefono FROM #__osma_clienti_contatti WHERE idCliente = cli.idCliente LIMIT 0,1) as telefono")
                ->from("#__osma_anagrafica_clienti as cli")->where("idCliente = " . $id);
        $db->setQuery($query);

        return $db->loadObject();
    }

    static function getPreventivo($id) {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->select("*")->from("#__osma_amministrazione_preventivi")->where("idPreventivo = " . $id);
        $db->setQuery($query);

        return $db->loadObject();
    }

    static function hasPreventivi($idChiamata) {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->select("*")->from("#__osma_preventivatore_preventivi")->where("idChiamata = " . $idChiamata);
        $db->setQuery($query);

        return $db->loadObjectList();
    }

    static function getGestore($id) {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->clear()
                ->select("ge.*, c.compagnia as coloreCompagnia")
                ->select("(SELECT email FROM #__osma_gestori_contatti WHERE idGestore = ge.idGestore LIMIT 0,1) as email, (SELECT telefono FROM #__osma_gestori_contatti WHERE idGestore = ge.idGestore LIMIT 0,1) as telefono")
                ->from("#__osma_anagrafica_gestori as ge")
                ->innerJoin("#__osma_anagrafica_compagnie as c ON ge.idCompagnia = c.idCompagnia")
                ->where("idGestore = " . $id);
        $db->setQuery($query);

        return $db->loadObject();
    }

    static function getUtenza($field, $type) {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->clear()->select("*")->where("idUser = " . JFactory::getUser()->get("id"));
        switch ($type) {
            case 'cliente':
                $query->from("#__osma_anagrafica_clienti");
                break;
            case 'gestore':
                $query->from("#__osma_anagrafica_gestori");
                break;
        }
        $db->setQuery($query);

        $result = $db->loadObject();
        return $result->$field;
    }

    static function getGroupID($grouptitle) {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->clear()->select("id")->from("#__usergroups")->where("LOWER(title) = " . $db->q(strtolower($grouptitle)));
        $db->setQuery($query);

        return $db->loadResult();
    }

    static function getAccessLevel() {
        $user = JFactory::getUser();

        if (in_array(COM_OSMA_GR_MANUTENTORI, $user->groups)) {
            return COM_OSMA_AL_MANUTENTORI;
        } elseif (in_array(COM_OSMA_GR_CLIENTI, $user->groups) || in_array(COM_OSMA_GR_GESTORI, $user->groups)) {
            return COM_OSMA_AL_UTENZE;
        } elseif (in_array(COM_OSMA_GR_ADMINISTRATOR, $user->groups) || in_array(COM_OSMA_GR_ROOT, $user->groups)) {
            return COM_OSMA_AL_ADMIN;
        }

        return COM_OSMA_AL_ADMIN;
    }

    static function isManutentoreTest() {
        $user = JFactory::getUser();
        return in_array($user->username, ['test-manutentore', 'prova123']);
    }

    static function isAccessLevel($access_level) {
        return self::getAccessLevel() == $access_level;
    }

    static function isGroup($group) {
        return in_array($group, JFactory::getUser()->groups);
    }

    static function router($input, $withfront = false) {

        $conf = &JFactory::getConfig();

        if (!$conf->sef) {
            if ($withfront) {
                return substr(JUri::base(), 0, -1) . JRoute::_($input);
            } else {
                return JRoute::_($input);
            }
            return $input;
        }

        $input = str_replace(array("index.php", "?"), "", $input);

        $menu = JFactory::getApplication()->getMenu()->getItems();
        $vars = explode("&", $input);
        foreach (array_reverse($menu) as $menuitem) {
            if ($menuitem->query['option'] == "com_osma") {
                $mainItemID = $menuitem->id;
                if ($menuitem->home) {
                    break;
                }
            }
        }

        foreach ($vars as $k => $query) {
            $__this = explode("=", $query);
            if ($__this[0] == 'view') {
                if ($menu) {
                    foreach ($menu as $menuitem) {
                        if ($menuitem->query['view'] == $__this[1] && $menuitem->query['option'] == "com_osma") {
                            $itemID = $menuitem->id;
                            unset($vars[$k]);
                            break;
                        }
                    }
                }
            }
            if ($__this[0] == 'layout') {
                if ($menu) {
                    foreach ($menu as $menuitem) {
                        if ($menuitem->query['layout'] == $__this[1] && $menuitem->query['option'] == "com_osma") {
                            $itemID = $menuitem->id;
                            unset($vars[$k]);
                            break;
                        }
                    }
                }
            }
        }
        if ($itemID) {
            $vars[] = "Itemid={$itemID}";
        } else {
            $vars[] = "Itemid={$mainItemID}";
        }

        if ($withfront) {
            return substr(JUri::base(), 0, -1) . JRoute::_("index.php?" . implode("&", $vars));
        } else {
            return JRoute::_("index.php?" . implode("&", $vars));
        }
    }

    static function genera_nuovo_codice_magazzino($codice) {
        $db = JFactory::getDbo();

        $obj = new stdClass;
        $obj->codice = $codice;

        $db->insertObject("#__osma_magazzino_codici", $obj, 'idCodice');

        return $db->insertid();
    }

    static function getCapitolatoCode($capitolo) {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        if (!$capitolo->idCapitolo) {
            return null;
        }
        $codiceRAW = $capitolo->codiceCapitolo;
        $genitore = $capitolo->idCapitoloGenitore;

        while ($genitore != "0") {
            $query->clear();
            $query->select("*")->from("#__osma_preventivatore_capitolato")->where("idCapitolo = {$genitore}");
            $result = $db->setQuery($query)->loadObject();
            $codiceRAW = $result->codiceCapitolo . "." . $codiceRAW;
            $genitore = $result->idCapitoloGenitore;
        }

        return $codiceRAW;
    }

    static function aggiornaDataScadenziario($idScadenza) {
        if (!$idScadenza) {
            return;
        }

        $db = JFactory::getDbo();
        $db->setQuery("SELECT * FROM #__osma_amministrazione_scadenziario WHERE idScadenza = " . $idScadenza);

        $obj = $db->loadObject();

        if (strtotime($obj->data) >= time()) {
            return strtotime($obj->data);
        } else {
            $lax = 0;
            do {
                switch ($obj->scadenza) {
                    case '1-week':
                        $lax = $lax + 1;
                        $strtotime = strtotime("+ {$lax} week", strtotime($obj->data));
                        break;
                    case '1-month':
                        $lax = $lax + 1;
                        $strtotime = strtotime("+ {$lax} week", strtotime($obj->data));
                        break;
                    case '2-months':
                        $lax = $lax + 2;
                        $strtotime = strtotime("+ {$lax} month", strtotime($obj->data));
                        break;
                    case '6-months':
                        $lax = $lax + 6;
                        $strtotime = strtotime("+ {$lax} month", strtotime($obj->data));
                        break;
                    case '1-year':
                        $lax = $lax + 1;
                        $strtotime = strtotime("+ {$lax} year", strtotime($obj->data));
                        break;
                }
            } while (time() >= $strtotime);

            $obj = new stdClass;
            $obj->idScadenza = $idScadenza;
            $obj->data = date("Y-m-d", $strtotime);

            $db->updateObject("#__osma_amministrazione_scadenziario", $obj, 'idScadenza');
            return $strtotime;
        }
    }

    static function getChecklist($idIntervento) {
        $dbo = JFactory::getDbo();
        return $dbo->setQuery($dbo->getQuery(true)->select("idChecklist")->from("#__osma_checklist")->where("idIntervento = {$idIntervento}"))->loadResult();
    }

    static function getLibrettiMetrologici($idIntervento) {
        $dbo = JFactory::getDbo();
        $query = $dbo->getQuery(true);
        $query->select("idLibretto, inserted, matricolaPistola, marca, modello")
                ->from("#__osma_rapporto_libretti_metrologici LI")
                ->innerJoin("#__osma_anagrafica_pistole PI on PI.idPistola = LI.idMatricola")
                ->innerJoin("#__osma_anagrafica_matricole MA on MA.idMatricola = PI.idMatricola")
                ->innerJoin("#__osma_anagrafica_marche MR on MA.idMarca = MR.idMarca")
                ->innerJoin("#__osma_anagrafica_modelli MO on MA.idModello = MO.idModello")
                ->where("MA.deleted = 0")
                ->where("idIntervento = {$idIntervento}")
                ->order("inserted");

        $arrayLib = array();

        $object = $dbo->setQuery($query)->loadObjectList();
        if ($object) {
            foreach ($object as $libr) {
                $arrayLib[] = array(
                    "name" => $libr->marca . " " . $libr->modello . " (" . $libr->matricolaPistola . ") - Generato il " . date("d/m/Y", strtotime($libr->inserted)),
                    "href" => JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaLibretto&format=raw&idLibretto={$libr->idLibretto}")
                );
            }
        }


        return $arrayLib;
    }

    static function hasDichiarazioneRapporto($idIntervento) {
        $dbo = JFactory::getDbo();
        $query = $dbo->getQuery(true);
        $query->select("COUNT(*)")
                ->from("#__osma_duvri DU")
                ->innerJoin("#__osma_duvri_rapporto R ON R.idDuvri = DU.id")
                ->innerJoin("#__osma_duvri_rapporto_distributori DI ON DI.idRapporto = R.idRapporto")
                ->innerJoin("#__osma_anagrafica_pistole PI ON PI.idPistola = DI.idMatricola")
                ->innerJoin("#__osma_anagrafica_matricole MT ON MT.idMatricola = PI.idMatricola")
                ->where("MT.deleted = 0")
                ->where("DU.idIntervento = {$idIntervento}")
                ->where("DI.piombi = 1")
                ->where("LOWER(MT.normativa) = 'nazionale'");

        return $dbo->setQuery($query)->loadResult() ? true : false;
    }

    static function getUserSignature($userID = null) {
        if (!$userID) {
            $userID = JFactory::getUser()->id;
        }

        $dbo = JFactory::getDbo();
        $query = $dbo->getQuery(true)->select("signature")->from("#__osma_anagrafica_manutentori")->where("idUser = $userID");

        return $dbo->setQuery($query)->loadResult();
    }

    static function getProvinciaEstesa($sigla) {
        $province = array(
            'AG' => 'Agrigento',
            'AL' => 'Alessandria',
            'AN' => 'Ancona',
            'AO' => 'Aosta',
            'AR' => 'Arezzo',
            'AP' => 'Ascoli Piceno',
            'AT' => 'Asti',
            'AV' => 'Avellino',
            'BA' => 'Bari',
            'BT' => 'Barletta-Andria-Trani',
            'BL' => 'Belluno',
            'BN' => 'Benevento',
            'BG' => 'Bergamo',
            'BI' => 'Biella',
            'BO' => 'Bologna',
            'BZ' => 'Bolzano',
            'BS' => 'Brescia',
            'BR' => 'Brindisi',
            'CA' => 'Cagliari',
            'CL' => 'Caltanissetta',
            'CB' => 'Campobasso',
            'CI' => 'Carbonia-Iglesias',
            'CE' => 'Caserta',
            'CT' => 'Catania',
            'CZ' => 'Catanzaro',
            'CH' => 'Chieti',
            'CO' => 'Como',
            'CS' => 'Cosenza',
            'CR' => 'Cremona',
            'KR' => 'Crotone',
            'CN' => 'Cuneo',
            'EN' => 'Enna',
            'FM' => 'Fermo',
            'FE' => 'Ferrara',
            'FI' => 'Firenze',
            'FG' => 'Foggia',
            'FC' => 'Forlì-Cesena',
            'FR' => 'Frosinone',
            'GE' => 'Genova',
            'GO' => 'Gorizia',
            'GR' => 'Grosseto',
            'IM' => 'Imperia',
            'IS' => 'Isernia',
            'SP' => 'La Spezia',
            'AQ' => 'L\'Aquila',
            'LT' => 'Latina',
            'LE' => 'Lecce',
            'LC' => 'Lecco',
            'LI' => 'Livorno',
            'LO' => 'Lodi',
            'LU' => 'Lucca',
            'MC' => 'Macerata',
            'MN' => 'Mantova',
            'MS' => 'Massa-Carrara',
            'MT' => 'Matera',
            'ME' => 'Messina',
            'MI' => 'Milano',
            'MO' => 'Modena',
            'MB' => 'Monza e della Brianza',
            'NA' => 'Napoli',
            'NO' => 'Novara',
            'NU' => 'Nuoro',
            'OT' => 'Olbia-Tempio',
            'OR' => 'Oristano',
            'PD' => 'Padova',
            'PA' => 'Palermo',
            'PR' => 'Parma',
            'PV' => 'Pavia',
            'PG' => 'Perugia',
            'PU' => 'Pesaro e Urbino',
            'PE' => 'Pescara',
            'PC' => 'Piacenza',
            'PI' => 'Pisa',
            'PT' => 'Pistoia',
            'PN' => 'Pordenone',
            'PZ' => 'Potenza',
            'PO' => 'Prato',
            'RG' => 'Ragusa',
            'RA' => 'Ravenna',
            'RC' => 'Reggio Calabria',
            'RE' => 'Reggio Emilia',
            'RI' => 'Rieti',
            'RN' => 'Rimini',
            'RM' => 'Roma',
            'RO' => 'Rovigo',
            'SA' => 'Salerno',
            'VS' => 'Medio Campidano',
            'SS' => 'Sassari',
            'SV' => 'Savona',
            'SI' => 'Siena',
            'SR' => 'Siracusa',
            'SO' => 'Sondrio',
            'TA' => 'Taranto',
            'TE' => 'Teramo',
            'TR' => 'Terni',
            'TO' => 'Torino',
            'OG' => 'Ogliastra',
            'TP' => 'Trapani',
            'TN' => 'Trento',
            'TV' => 'Treviso',
            'TS' => 'Trieste',
            'UD' => 'Udine',
            'VA' => 'Varese',
            'VE' => 'Venezia',
            'VB' => 'Verbano-Cusio-Ossola',
            'VC' => 'Vercelli',
            'VR' => 'Verona',
            'VV' => 'Vibo Valentia',
            'VI' => 'Vicenza',
            'VT' => 'Viterbo',
        );

        if ($province[strtoupper($sigla)]) {
            return $province[strtoupper($sigla)];
        }
        return $sigla;
    }

    public static function selected($id, $tocheck = null) {
        if (!$tocheck) {
            return null;
        }

        echo $id == $tocheck ? "selected='selected'" : null;
    }

    public static function checked($id, $tocheck = null) {
        if (!$tocheck) {
            return null;
        }

        echo $id == $tocheck ? "selected='selected'" : null;
    }

}
