<?php

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.modelitem');

class OsmaModelMezzo extends JModelItem
{

    public function getItem()
    {
        $db = JFactory::getDbo();
        $idMezzo = JRequest::getVar('id');
        if ($idMezzo) {
            $query = $db->getQuery(true);
            $query->select('*')->from('#__osma_anagrafica_mezzi')->where('idMezzo='.$idMezzo);
            $db->setQuery($query);
            $result=$db->loadObject();
        }

        return $result;
    }


    public function salvaRifornimento(){
        $db = JFactory::getDBO();
        $form = JRequest::getVar('rifornimento');

        $rifornimento = new stdClass();
        $rifornimento->idMezzo = $form['idMezzo'];
        $rifornimento->kmIniziali = $form['kmIniziali'];
        $rifornimento->kmFinali = $form['kmFinali'];
        $rifornimento->litri = $form['litri'];
        $rifornimento->importo = (float)$form['importo'];

        if($form['idRifornimento'] && $form['idRifornimento']!=""){
           $rifornimento->idRifornimento = $form['idRifornimento'];
            $result=$db->updateObject('#__osma_mezzo_rifornimenti', $rifornimento, 'idRifornimento');
        }else{
            $result=$db->insertObject('#__osma_mezzo_rifornimenti', $rifornimento, 'idRifornimento');
            $id = $db->insertid();
        }

        echo json_encode($rifornimento->kmFinali);
    }

    public function getRifornimenti(){
        $db = JFactory::getDbo();
        $idMezzo = JRequest::getVar('id');
        if ($idMezzo) {
            $query = $db->getQuery(true);
            $query->select('*')->from('#__osma_mezzo_rifornimenti')->where('idMezzo='.$idMezzo)->order('kmIniziali DESC');
            $query->setLimit(5);
            $db->setQuery($query);
            $result=$db->loadObjectList();
        }

        return $result;
    }

    public function getKmFinaliRiferimento(){
        $db = JFactory::getDbo();
        $idMezzo = JRequest::getVar('id');
        if ($idMezzo) {
            $query = $db->getQuery(true);
            $query->select('MAX(kmFinali) as rif')->from('#__osma_mezzo_rifornimenti')->where('idMezzo='.$idMezzo);
            $db->setQuery($query);
            $rif=$db->loadResult();
        }

        return $rif;
    }

    public function deleteRifornimento(){
        $db = JFactory::getDbo();
        $idRifornimento = JRequest::getVar('idRifornimento');
        if ($idRifornimento) {
            $query = $db->getQuery(true);
            $query->delete('#__osma_mezzo_rifornimenti')->where(array('idRifornimento='.$idRifornimento));
            $db->setQuery($query);

            $result = $db->execute();
        }

        echo $result;
    }

    public function exportRifornimenti()
    {
        $db = JFactory::getDbo();
        $idMezzo=JRequest::getVar('idMezzo');

        $query = $db->getQuery(true);
        $query->select("kmIniziali,kmFinali,(kmFinali-kmIniziali) as 'kmPercorsi',litri,importo")
            ->from("#__osma_mezzo_rifornimenti")
            ->where("idMezzo=".$idMezzo)
            ->order("kmFinali DESC");
        $db->setQuery($query);

        if ($results = $db->loadAssocList()) {
            $array = array('KM Iniziali', 'KM Finali', 'KM Percorsi', 'Litri', 'Importo');
            ob_start();
            $df = fopen("php://output", 'w');
            fputcsv($df, $array);

            foreach ($results as $key => $v) {
                $dati = $v;
                fputcsv($df, $dati);
            }

            fclose($df);

            $now = gmdate("D, d M Y H:i:s");
            header("Expires: Tue, 03 Jul 2001 06:00:00 GMT");
            header("Cache-Control: max-age=0, no-cache, must-revalidate, proxy-revalidate");
            header("Last-Modified: {$now} GMT");

            // force download
            header("Content-Type: application/force-download");
            header("Content-Type: application/octet-stream");
            header("Content-Type: application/download");
            header("Content-Transfer-Encoding: binary");

            // disposition / encoding on response body
            //header("Content-Disposition: attachment;filename=Export.csv");

            //trovo dati mezzo
            $query = $db->getQuery(true);
            $query->select('marca,modello,targa')->from('#__osma_anagrafica_mezzi')->where('idMezzo='.$idMezzo);
            $db->setQuery($query);
            $mezzo=$db->loadObject();
            header("Content-Disposition: attachment;filename=Export_".$mezzo->marca."_".$mezzo->modello."_".$mezzo->targa.".csv");

        }
    }
}
