<!DOCTYPE html>
<html>
    <head>
        <style>

            html, body, div, span, applet, object, iframe,
            h1, h2, h3, h4, h5, h6, p, blockquote, pre,
            a, abbr, acronym, address, big, cite, code,
            del, dfn, em, font, img, ins, kbd, q, s, samp,
            small, strike, strong, sub, sup, tt, var,
            dl, dt, dd, ol, ul, li,
            fieldset, form, label, legend,
            table, caption, tbody, tfoot, thead, tr, th, td {
                margin: 0;
                padding: 0;
                border: 0;
                outline: 0;
                font-weight: inherit;
                font-style: inherit;
                font-size: 100%;
                font-family: inherit;
                vertical-align: baseline;
            }
            :focus {
                outline: 0;
            }
            body {
                line-height: 1;
                color: black;
                background: white;
            }
            ol, ul {
                list-style: none;
            }
            table {
                border-collapse: separate;
                border-spacing: 0;
            }
            caption, th, td {
                text-align: left;
                font-weight: normal;
            }
            blockquote:before, blockquote:after,
            q:before, q:after {
                content: "";
            }
            blockquote, q {
                quotes: "" "";
            }

            img {
                -ms-interpolation-mode: bicubic;
            }

            * {
                box-sizing: border-box;
                font-size: 14px;
                line-height: 1.1;
                font-family: 'Helvetica', sans-serif;
            }

            html body {
                font-size: 14px;
                line-height: 1.1;
                font-family: 'Helvetica', sans-serif;
                padding: 1.25cm;
            }

            .pull-left {
                float: left;
            }

            .clearfix{
                content: "";
                display: table;
                width: 100%; 
                clear: both;
            }

            table {
                width: 100%;
            }

            hr {
                border: 0;
            }
            label {
                font-weight: bold;
            }

            table td {
                vertical-align: middle;
            }

            .verytable td {font-size: 12px; text-align: center; border: 1px solid #000; padding: 5px;}

            p.page-braker { page-break-after: always; }
            html { margin: 15px 15px 120px;}
            @page { padding: 15px 15px 120px; position: relative;}

            footer {position: fixed; bottom: 40px; left: 40px; right: 40px}
            footer table td {font-size: 11px; padding: 3px}
            footer table td b {font-size: 11px}
            footer .pagenum:before {content: counter(page);}
        </style>
    </head>
    <body>
        <footer>
            <div style="text-align: right; padding-bottom: 10px;">
                <b>Pag. <span class="pagenum"></span>
            </div>
            <table style='width: 100%; border-top: 1px solid #000' cellpadding='0' cellspacing='0'>
                <tr>
                    <td style="width: 20%;"><b>E2OIL di Resta Luca</b></td>
                    <td style="width: 60%; text-align: center"><b>P.IVA / CF:</b> 09169480960 / RSTLCU81E21I441Y</td>
                    <td style="width: 20%; text-align: right"><b>Numero REA:</b> 1903771</td>
                </tr>
                <tr>
                    <td colspan="3" style="text-align: center">
                        <b>Sede legale:</b> Via Bainsizza nr. 39, Cesano Maderno (MB) 20811 <b>Sede operativa:</b> Via Maestri del Lavoro nr. 20/22 Bovisio M. (MB)
                    </td>
                </tr>
                <tr>
                    <td style="width: 20%;"><b>Telefono ufficio:</b></td>
                    <td style="width: 50%; text-align: center"><b>Fax ufficio:</b></td>
                    <td style="width: 30%; text-align: right"><b>Posta certificata:</b> e2oil@pec.it</td>
                </tr>
                <tr>
                    <td colspan="3" style="text-align: center">
                        <b>www.e2oil.it</b>
                    </td>
                </tr>
            </table>
        </footer>
        <table>
            <tr>
                <td style="width: 50%">
                    <img src="<?php echo JPATH_COMPONENT ?>/controllers/assets/img/logo_e2oil.jpg" style="max-height: 85px;"/>
                </td>
                <td style="width: 50%; text-align: right; font-size: 12px; vertical-align: middle;">
                    Allegato P4A-0
                </td>
            </tr>
        </table>
        <hr style="height: 20px"/>
        <h1 style="font-size: 16px; text-align: center; font-weight: bold;">Richiesta di verifica metrica periodica</h1>
        <h2 style="font-size: 15px; text-align: center; font-weight: normal;">(Il modello va completato in tutte le sue parti in stampatello e con caratteri chiari e leggibili)</h2>
        <hr style="height: 20px"/>
        <h4 style="color: red; font-size: 14px; font-weight: bold; border-bottom: 2px solid #000; padding-bottom: 5px; margin-bottom: 5px;">Dati per intestazione fattura:</h4>
        <div class="dati"><label>Denominazione:</label> <?php echo $richiesta->intestazione['denominazione'] ?></div>
        <div class="dati"><label>Indirizzo:</label> <?php echo $richiesta->intestazione['indirizzo'] ?></div>
        <div class="dati"><label>Città:</label> <?php echo $richiesta->intestazione['comune'] ?></div>
        <div class="dati"><label>Cod. Fiscale / P. IVA:</label> <?php echo $richiesta->intestazione['piva'] ?></div>
        <div class="dati"><label>N° Telefono:</label> <?php echo $richiesta->intestazione['telefono'] ?></div>
        <div class="dati"><label>N° Fax:</label> <?php echo $richiesta->intestazione['fax'] ?></div>
        <hr style="height: 15px"/>
        <h4 style="color: red; font-size: 14px; font-weight: bold; border-bottom: 2px solid #000; padding-bottom: 5px; margin-bottom: 5px;">Dati Utente Metrico:</h4>
        <div class="dati"><label>Denominazione:</label> <?php echo $richiesta->utenteMetrico['denominazione'] ?></div>
        <div class="dati"><label>Indirizzo:</label> <?php echo $richiesta->utenteMetrico['indirizzo'] ?></div>
        <div class="dati"><label>Città:</label> <?php echo $richiesta->utenteMetrico['comune'] ?></div>
        <div class="dati"><label>Colore compagnia:</label> <?php echo $richiesta->utenteMetrico['coloreCompagnia'] ?></div>
        <div class="dati"><label>Cod. Fiscale / P. IVA:</label> <?php echo $richiesta->utenteMetrico['piva'] ?></div>
        <div class="dati"><label>N° Rea:</label> <?php echo $richiesta->utenteMetrico['nrRea'] ?></div>
        <div class="dati"><label>N° Telefono:</label> <?php echo $richiesta->utenteMetrico['telefono'] ?></div>
        <div class="dati"><label>N° Fax:</label> <?php echo $richiesta->utenteMetrico['fax'] ?></div>
        <div class="dati"><label>E-mail:</label> <?php echo $richiesta->utenteMetrico['email'] ?></div>
        <hr style="height: 20px"/>
        <h1 style="font-size: 16px; text-align: center; font-weight: normal;">Richiede alla verifica periodica i seguenti strumenti</h1>
        <table style="margin-top: 15px; font-size: 13px;" class="verytable" cellpadding="0" cellspacing="0">
            <tr>
                <td style="width: 5.5%; border-width: 0; border-bottom-width: 1px;"></td>
                <td style="width: 13.5%; font-weight: bold; ">Apparec.</td>
                <td style="width: 13.5%; font-weight: bold;  border-left: 0;">Matricola</td>
                <td style="width: 13.5%; font-weight: bold;  border-left: 0;">Marca</td>
                <td style="width: 13.5%; font-weight: bold;  border-left: 0;">Modello</td>
                <td style="width: 13.5%; font-weight: bold;  border-left: 0;">Scadenza periodica</td>
                <td style="width: 13.5%; font-weight: bold;  border-left: 0;">MID O NAZIONALE</td>
                <td style="width: 13.5%; font-weight: bold;  border-left: 0;">Portata Max (litri/min)</td>
            </tr>
            <?php
            if ($pistole) {
                $count = 1;
                ?>
                <?php foreach ($pistole as $pistola) { ?>
                    <tr>
                        <td style="border-top: 0;"><?php echo $count++ ?></td>
                        <td style="border-top: 0; border-left: 0;"><?php echo $pistola->tipologia ?></td>
                        <td style="border-top: 0; border-left: 0;"><?php echo $pistola->matricolaPistola ?></td>
                        <td style="border-top: 0; border-left: 0;"><?php echo $pistola->marca ?></td>
                        <td style="border-top: 0; border-left: 0;"><?php echo $pistola->modello ?></td>
                        <td style="border-top: 0; border-left: 0;"><?php echo date("d/m/Y", strtotime($pistola->scadenzaPeriodica)) ?></td>
                        <td style="border-top: 0; border-left: 0;"></td>
                        <td style="border-top: 0; border-left: 0;"><?php echo $pistola->portata ?></td>
                    </tr>
                <?php } ?>
            <?php } ?>
        </table>

        <div style="padding-top: 30px; font-weight: bold; text-decoration: underline;">
            N.B.: Con la presente l'Utente Metrico, autocertifica che le richieste metriche per la rimozione dei sigilli metrici in seguito a riparazione, sono state tutte inoltrate agli enti di competenza, pertanto il Laboratorio può procedere con l'attività di verificazione.
        </div>

        <table style='margin-top: 50px'>
            <tr>
                <td style='width: 50%'>
                    Data: <?php echo date("d/m/Y", strtotime($richiesta->inserted)) ?>
                </td>
                <td style='width: 50%; text-align: right'>
                    Firma e timbro di convalida<br><br>
                    ___________________________
                </td>
            </tr>
        </table>

        <p class='page-braker'></p>

        <div style="">
            <b>Note per il Cliente:</b><br/><br/>
            L'invio del modulo riportato in pagina 1, <b><u>non significa che il Laboratorio ha preso in carico la Verifica delle apparecchiature da Voi elencate</u></b>.<br/>
            La E2OIL, vi ritrasmetterà il modulo compilato nella parte a Lei riservata, specificando l'accettazione e la data di esecuzione della verifica o in caso contrario, la respinta della richiesta giustificandola con delle valide motivazioni.<br/>
            È necessario che venga specificato almeno uno dei recapiti (E-Mail o Fax), per poter ricevere nostre comunicazioni.<br/><br/>
            Fax: ______________________&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;E-Mail: ______________________<br/><br/><br/><br/>
            L'Utente Metrico, inviando la richiesta al Laboratorio, garantisce la presenza di tutta la documentazione necessaria per svolgere l'attività di verificazione.<br/><br/><br/>
            <div style='width: 25%; text-align: center; float: left; border-bottom: 1px solid #000;'>
                Per presa visione<br/>
                (L'Utente Metrico)<br/>
                <span style='font-size: 65%;'>Timbro e Firma</span><br/><br/><br/>
            </div>
        </div>

        <div class='clearfix'></div>

        <table style='margin-top: 80px; border: 1px solid #000; border-left: 1px solid #000; border-bottom: 1px solid #000; width: 100%' cellpadding="0" cellspacing="0">
            <tr>
                <td colspan='2' style='text-align: center; font-size: 12px; padding: 3px;'>
                    <b>Spazio riservato alla E2OIL</b><br/><br/>
                </td>
            </tr>
            <tr>
                <td rowspan="2" style='padding: 10px; vertical-align: middle; width: 35%'>
                    La richiesta di Verifica è stata:
                </td>
                <td style='padding: 10px; border-bottom: 1px solid #000'>
                    <table cellpadding="0" cellspacing="0">
                        <tr>
                            <td style=''><table cellpadding='0' cellspacing='0' style='border: 1px solid #000; width: 100%'><tr><td style=''>&nbsp;</td></tr></table></td>
                            <td style='width: 25%; padding-left: 10px;'><b>ACCETTATA</b></td>
                            <td style='width: 70%'>La verifica si effettuerà in data: _____________</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td style='padding: 10px'>
                    <table cellpadding="0" cellspacing="0">
                        <tr>
                            <td style=''><table cellpadding='0' cellspacing='0' style='border: 1px solid #000; width: 100%'><tr><td style=''>&nbsp;</td></tr></table></td>
                            <td style='width: 25%; padding-left: 10px;'><b>RIFIUTATA</b></td>
                            <td style='width: 70%'>Motivazione:</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td style='padding: 10px'>
                    <b>NR. PROG. PROT.:</b> <?php echo $richiesta->idRichiesta ?>/<?php echo date("m", strtotime($richiesta->inserted)) ?>/<?php echo date("Y", strtotime($richiesta->inserted)) ?><br/>
                    <span style='font-weight: bold; font-size: 12px'>(da riportare su allegato P4MID)</span>
                </td>
                <td style='vertical-align: top;'>
                </td>
            </tr>
        </tr>
    </table>

</body>
</html>