<?php defined('_JEXEC') or die('Restricted access'); ?>

<div class="t3a-toolbar row">
    <div class="clearfix hidden-xs flex" style="align-items: center;">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
    <div class="visible-xs col-xs-12 text-center"style="padding-top: 15px; padding-bottom: 15px">
        <a href="#filter-collapse" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="filter-collapse"><i class="glyphicon glyphicon-filter"></i> Azioni e filtri</a>        
    </div>
    <div class="col-xs-12 collapse" id="filter-collapse">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
</div>

<div class="panel panel-default main-panel ">
    <div class="panel-heading">
        <h2>Elenco preventivi</h2>
    </div>
    <div class="panel-body">
        <div class="table-responsive">
            <table class="table table-bordered table-striped">
                <thead>
                    <tr>
                        <th class="center" width="5%">ID</th>
                        <th width="15%">Cliente</th>
                        <th width="15%">Utente metrico</th>
                        <th class="center" width="10%">Data</th>
                        <th class="center" width="8.5%">Visualizza PDF</th>
                        <th class="center" width="8.5%">Visualizza RVMP</th>
                        <th class="" width="10%">Stato preventivazione</th>
                        <th class="" width="10%">Stato fatturazione</th>
                        <th></th>
                        <th class="center" width="5%"></th>
                        <th class="center" width="5%"></th>
                        <th class="center" width="5%"></th>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <td colspan="12" class="t3a-pagination">
                            <form name='generaverificametricaperiodica' action='<?php echo osmaHelper::router('index.php?option=com_osma&view=amministrazione&layout=elenco-preventivi') ?>' method="POST" >
                                <div class="col-md-6 text-left"><?php echo $this->pagination->getListFooter(); ?></div>
                                <div class="col-md-6 text-right">Nr. Risultati: <?php echo $this->pagination->getLimitBox(); ?></div>
                            </form>
                        </td>
                    </tr>
                </tfoot>
                <tbody>
                    <?php if ($this->items) { ?>
                        <?php
                        foreach ($this->items as $prev) {
                            $dest = unserialize($prev->destinazione);
                            $spett = unserialize($prev->spettabile);
                            if ($prev->idRichiesta) {
                                $utenteMetrco = unserialize($prev->utenteMetrico);
                                $intestazione = unserialize($prev->intestazione);
                            }

                            $emails = array(
                                $spett['email'],
                                $dest['email'],
                                $utenteMetrco['email'],
                                $intestazione['email'],
                                osmaHelper::getGestore($prev->idGestore)->email,
                                osmaHelper::getCliente($prev->idCliente)->email,
                            );
                            $emails = array_filter($emails);
                            ?>
                            <tr>
                                <td class='center'><?php echo $prev->idPreventivo ?></td>
                                <td><?php echo $spett['ragioneSociale'] ?><br/>(<?php echo $spett['comune'] ?>)</td>
                                <td><?php echo $dest['ragioneSociale'] ?><br/>(<?php echo $dest['comune'] ?>)</td>
                                <td class="center"><?php echo date("d/m/Y", strtotime($prev->inserted)) ?></td>
                                <td class="center">
                                    <a target="_blank" href="<?php echo osmaHelper::router("index.php?option=com_osma&task=amministrazione.visualizzapreventivo&idPreventivo={$prev->idPreventivo}&format=raw") ?>"><i class="fa fa-file-pdf-o"></i></a>
                                </td>
                                <td class="center">
                                    <?php if ($prev->idRichiesta) { ?>
                                        <a target="_blank" href="<?php echo osmaHelper::router("index.php?option=com_osma&task=amministrazione.visualizzarvmp&idRichiesta={$prev->idRichiesta}&format=raw") ?>">
                                            <i class="fa fa-file-pdf-o"></i>
                                        </a>
                                    <?php } else { ?>
                                        <form action="index.php?option=com_osma&view=amministrazione&layout=genera-rvmp" method="POST">
                                            <?php foreach ($prev->pistole as $pis) { ?>
                                                <input type="hidden" name="idPistole[]" value="<?php echo $pis->idPistola ?>" />
                                            <?php } ?>
                                            <input type="hidden" name="idPreventivo" value="<?php echo $prev->idPreventivo ?>" />
                                            <input type="hidden" name="idGestore" value="<?php echo $prev->idGestore ?>" />
                                            <input type="hidden" name="idCliente" value="<?php echo $prev->idCliente ?>" />
                                            <input type="submit" class="btn btn-sm" value="Genera" style="margin-top: 0" />
                                        </form>
                                    <?php } ?>
                                </td>
                                <td class="">
                                    <?php if ($prev->idRichiesta) { ?>
                                        Conclusa
                                    <?php } else { ?>
                                        Aperta
                                    <?php } ?>
                                </td>
                                <td class="">
                                    <input type="checkbox" name="fatturato" <?php echo ($prev->fatturato ? "checked" : "" ) ?> data-id="<?php echo $prev->idPreventivo ?>" value="1"/> Fatturato
                                </td>
                                <td class=""></td>
                                <td class="center">
                                    <a href="javascript:void(0);" class="btn btn-sm invia-preventivo" data-idpreventivo="<?php echo $prev->idPreventivo ?>" data-idrichiesta="<?php echo ($prev->idRichiesta ? $prev->idRichiesta : false) ?>" data-email="<?php echo implode(";", $emails) ?>"><i class="fa fa-envelope-o"></i> Invia</a>
                                </td>
                                <td class="center">
                                    <a href="<?php echo osmaHelper::router("index.php?option=com_osma&view=amministrazione&layout=genera-preventivo&idPreventivo=" . $prev->idPreventivo) ?>" class="btn btn-sm"><i class="fa fa-pencil-square"></i> Modifica</a>
                                </td>
                                <td class="center">
                                    <a href="javascript:void(0);" class="btn btn-sm remove-preventivo" data-id="<?php echo $prev->idPreventivo ?>"><i class="fa fa-times-circle"></i> Elimina</a>
                                </td>
                            </tr>
                        <?php } ?>
                    <?php } else { ?>
                        <tr>
                            <td colspan="12">Nessun preventivo generato.</td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<script>
    jQuery(function ($) {
        $(document).on("change", "[name='fatturato']", function (e) {
            $this = $(this);
            $.ajax({
                url: "index.php?option=com_osma&task=amministrazione.set_fatturato&format=raw",
                data: {
                    idPreventivo: $this.data("id"),
                    value: $this.is(":checked")
                }
            });
        });
        $(document).on("click", ".invia-preventivo", function (e) {
            $this = $(this);
            $("form[name='inviaMail'] .holder").html("");
            $("form[name='inviaMail'] [name='idRichiesta']").val("");
            $("form[name='inviaMail'] [name='richiesta']").removeAttr("checked");
            $("form[name='inviaMail'] [name='otherMail']").val("");
            if ($this.data("email")) {
                $.each($this.data("email").split(";"), function (i, val) {
                    $("form[name='inviaMail'] .holder").append("<div style='margin-bottom: 10px;'><label><input type='checkbox' name='email[]' value='" + val + "' /> " + val + "</label></div>");
                });
            }
            $("form[name='inviaMail'] [name='idPreventivo']").val($this.data("idpreventivo"));
            $("form[name='inviaMail'] [name='idRichiesta']").val($this.data("idrichiesta"));

            if (!$this.data("idrichiesta")) {
                $("form[name='inviaMail'] .rvmp").addClass("hidden");
            } else {
                $("form[name='inviaMail'] .rvmp").removeClass("hidden");
            }
            $("#inviaMail").modal();
        });

        $(document).on("click", "form[name='inviaMail'] .btn-primary", function (e) {
            $.ajax({
                url: "index.php?option=com_osma&task=amministrazione.inviaMailPreventivo&format=raw",
                method: 'POST',
                data: $("form[name='inviaMail']").serialize()
            }).done(function (data) {
                data = JSON.parse(data);
                if (data.success) {
                    $("#inviaMail").modal('hide');
                }
            });
            return false;
        });

        $(document).on("click", ".remove-preventivo", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            $this = $(this);
            if (confirm("Vuoi eliminare il preventivo #" + $this.data("id") + "?")) {
                $.ajax({
                    url: "index.php?option=com_osma&task=amministrazione.removePreventivo&format=raw",
                    method: 'POST',
                    data: {
                        idPreventivo: $this.data("id")
                    }
                }).done(function (data) {
                    data = JSON.parse(data);
                    if (data.success) {
                        $this.parents("tr").remove();
                    }
                });
            }
        });

        $(document).on("click", ".reset-form", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();

            $(this).parents("form").find("input, select").val("");
        });
    });
</script>

<div class="modal fade" id="inviaMail" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <form name="inviaMail" action="index.php" method="POST">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Chiudi"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Invia mail</h4>
                </div>
                <div class="modal-body">
                    <div class="holder">

                    </div>
                    <input type="text" name="otherMail" placeholder="Altri indirizzi email (separare con ';')" value="" style="width: 100%;" />
                    <input type="hidden" name="idPreventivo" value="" />
                    <input type="hidden" name="idRichiesta" value="" />
                    <hr/>
                    <h4>Allega</h4>
                    <div class="row">
                        <div class="col-sm-6">
                            <input type="checkbox" name="preventivo" value="1" checked/> <label>Preventivo</label>
                        </div>
                        <div class="col-sm-6 rvmp">
                            <input type="checkbox" name="richiesta" value="1"/> <label>RVMP</label>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
                    <button type="button" class="btn btn-primary">Invia</button>
                </div>
            </div>
        </form>
    </div>
</div>