<?php
defined('_JEXEC') or die('Restricted access');

if ($this->richiesta && $this->richiesta->pistole) {
    $pistole = $this->richiesta->pistole;
} else {
    $pistole = $this->items;
}
?>

<form name='generaverificametricaperiodica' action='<?php echo osmaHelper::router("index.php?option=com_osma&task=amministrazione.generarvmp") ?>' method="POST" >
    <div class="panel panel-default main-panel ">
        <div class="panel-heading">
            <div class="text-right">
                <small>Allegato P4A-0</small>
            </div>
            <div class="text-center">
                <h1>Richiesta di verifica metrica periodica</h1>
                <p>(Il modello va completato in tute le sue part in stampatello e con caratteri chiari e leggibili)
            </div>
        </div>
        <div class="panel-body">
            <div class="row">
                <div class="col-sm-4 text-left">
                    <strong>Riferimento preventivo</strong>
                    <div clasS="clearfix"></div>
                    <select class="chosen" name="idPreventivo" data-placeholder="Preventivo di riferimento">
                        <option disabled="" <?php echo (!$this->richiesta->idPreventivo && !JRequest::getVar("idPreventivo") ? "selected='selected'" : null) ?>>Seleziona preventivo di riferimento</option>
                        <?php if ($this->preventivi) { ?>
                            <?php foreach ($this->preventivi as $prev) { ?>
                                <?php $spettabile = unserialize($prev->spettabile); ?>
                                <option value="<?php echo $prev->idPreventivo ?>" data-idGestore="<?php echo $prev->idGestore ?>" <?php JRequest::getVar("idPreventivo") ? osmaHelper::selected($prev->idPreventivo, JRequest::getVar("idPreventivo")) : osmaHelper::selected($prev->idPreventivo, $this->richiesta->idPreventivo) ?>>#<?php echo $prev->idPreventivo . " del " . date("d/m/Y", strtotime($prev->inserted)) . " ({$spettabile['ragioneSociale']} - {$spettabile['indirizzo']}, {$spettabile['comune']})" ?></option>
                            <?php } ?>
                        <?php } ?>
                    </select>
                </div>
                <div class="col-sm-4">
                    <strong>&nbsp;</strong>
                    <div clasS="clearfix"></div>
                    <a href="javascript:void(0);" target="_blank" class="<?php echo JRequest::getVar("idPreventivo") || $this->richiesta->idPreventivo ? null : "hidden" ?> go-to-preventivo">Preventivo <i class="fa fa-external-link"></i></a>
                </div>
                <div class="col-sm-4">
                    <strong>Gestore di riferimento</strong>
                    <div clasS="clearfix"></div>
                    <select class="chosen" name="idGestore">
                        <?php if (!$this->richiesta->idGestore && !$this->gestore->idGestore) { ?>
                            <option disabled="" selected="">Seleziona il gestore di riferimento</option>
                        <?php } ?>
                        <?php foreach (osmaHelper::getList("#__osma_anagrafica_gestori", "ragioneSociale ASC") as $gest) { ?>
                            <option value="<?php echo $gest->idGestore ?>" <?php $this->richiesta->idGestore ? osmaHelper::selected($this->richiesta->idGestore, $gest->idGestore) : osmaHelper::selected($this->gestore->idGestore, $gest->idGestore) ?>><?php echo $gest->ragioneSociale ?> (<?php echo ucwords(strtolower($gest->indirizzo . " - " . $gest->comune . ", " . $gest->provincia)) ?>)</option>
                        <?php } ?>
                    </select>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="col-sm-4">
                    <strong>Denominazione</strong>
                    <div class="clearfix"></div>
                    <input type="text" name="intestazione-fattura[denominazione]" value='<?php echo ($this->richiesta ? $this->richiesta->intestazione->denominazione : $this->cliente->ragioneSociale) ?>' style='width: 100%' />
                </div>
                <div class="col-sm-4">
                    <strong>Indirizzo</strong>
                    <div class="clearfix"></div>
                    <input type="text" name="intestazione-fattura[indirizzo]" value='<?php echo ($this->richiesta ? $this->richiesta->intestazione->indirizzo : $this->cliente->indirizzo) ?>' style='width: 100%' />
                </div>
                <div class="col-sm-4">
                    <strong>Città</strong>
                    <div class="clearfix"></div>
                    <input type="text" name="intestazione-fattura[comune]" value='<?php echo ($this->richiesta ? $this->richiesta->intestazione->comune : $this->cliente->comune) ?>' style='width: 100%' />
                </div>
                <div class="col-sm-4" style="margin-top: 15px">
                    <strong>Cod. Fiscale / P. IVA</strong>
                    <div class="clearfix"></div>
                    <input type="text" name="intestazione-fattura[piva]" value='<?php echo ($this->richiesta ? $this->richiesta->intestazione->piva : $this->cliente->piva) ?>' style='width: 100%' />
                </div>
                <div class="col-sm-4" style="margin-top: 15px">
                    <strong>Telefono</strong>
                    <div class="clearfix"></div>
                    <input type="text" name="intestazione-fattura[telefono]" value='<?php echo ($this->richiesta ? $this->richiesta->intestazione->telefono : $this->cliente->telefono) ?>' style='width: 100%' />
                </div>
                <div class="col-sm-4" style="margin-top: 15px">
                    <strong>Fax</strong>
                    <div class="clearfix"></div>
                    <input type="text" name="intestazione-fattura[fax]" value='<?php echo ($this->richiesta ? $this->richiesta->intestazione->fax : $this->cliente->fax ) ?>' style='width: 100%' />
                </div>
            </div>
            <hr/>
            <h4 class='text-danger'>Dati utente metrico:</h4>
            <div class="row">
                <div class="col-sm-4">
                    <strong>Denominazione</strong>
                    <div class="clearfix"></div>
                    <input type="text" name="utente-metrico[denominazione]" value='<?php echo ($this->richiesta ? $this->richiesta->utenteMetrico->denominazione : $this->gestore->ragioneSociale ) ?>' style='width: 100%' />
                </div>
                <div class="col-sm-4">
                    <strong>Indirizzo</strong>
                    <div class="clearfix"></div>
                    <input type="text" name="utente-metrico[indirizzo]" value='<?php echo ($this->richiesta ? $this->richiesta->utenteMetrico->indirizzo : $this->gestore->indirizzo ) ?>' style='width: 100%' />
                </div>
                <div class="col-sm-4">
                    <strong>Città</strong>
                    <div class="clearfix"></div>
                    <input type="text" name="utente-metrico[comune]" value='<?php echo ($this->richiesta ? $this->richiesta->utenteMetrico->comune : $this->gestore->comune ) ?>' style='width: 100%' />
                </div>
                <div class="col-sm-4" style="margin-top: 15px">
                    <strong>Colore compagnia</strong>
                    <div class="clearfix"></div>
                    <input type="text" name="utente-metrico[coloreCompagnia]" value='<?php echo ($this->richiesta ? $this->richiesta->utenteMetrico->coloreCompagnia : $this->gestore->coloreCompagnia ) ?>' style='width: 100%' />
                </div>
                <div class="col-sm-4" style="margin-top: 15px">
                    <strong>Cod. Fiscale / P. IVA</strong>
                    <div class="clearfix"></div>
                    <input type="text" name="utente-metrico[piva]" value='<?php echo ($this->richiesta ? $this->richiesta->utenteMetrico->piva : $this->gestore->piva ) ?>' style='width: 100%' />
                </div>
                <div class="col-sm-4" style="margin-top: 15px">
                    <strong>Nr. REA</strong>
                    <div class="clearfix"></div>
                    <input type="text" name="utente-metrico[nrRea]" value='<?php echo ($this->richiesta ? $this->richiesta->utenteMetrico->nrRea : $this->gestore->nrRea ) ?>' style='width: 100%' />
                </div>
                <div class="col-sm-4" style="margin-top: 15px">
                    <strong>Telefono</strong>
                    <div class="clearfix"></div>
                    <input type="text" name="utente-metrico[telefono]" value='<?php echo ($this->richiesta ? $this->richiesta->utenteMetrico->telefono : $this->gestore->telefono ) ?>' style='width: 100%' />
                </div>
                <div class="col-sm-4" style="margin-top: 15px">
                    <strong>Fax</strong>
                    <div class="clearfix"></div>
                    <input type="text" name="utente-metrico[fax]" value='<?php echo ($this->richiesta ? $this->richiesta->utenteMetrico->fax : $this->gestore->fax ) ?>' style='width: 100%' />
                </div>
                <div class="col-sm-4" style="margin-top: 15px">
                    <strong>Email</strong>
                    <div class="clearfix"></div>
                    <input type="text" name="utente-metrico[email]" value='<?php echo ($this->richiesta ? $this->richiesta->utenteMetrico->email : $this->gestore->email ) ?>' style='width: 100%' />
                </div>
            </div>
            <hr/>
            <h4>Strumenti per cui è richiesta la verifica periodica</h4>
            <table class="table table-bordered table-striped">
                <thead>
                    <tr>
                        <?php if (!$this->richiesta->manuale && $pistole) { ?>
                            <th width="5%"></th>
                        <?php } ?>
                        <th width="">Apparecchio</th>
                        <th width="10%">Matricola</th>
                        <th width="10%">Marca</th>
                        <th width="10%">Modello</th>
                        <th class="center" width="10%">MID O NAZIONALE</th>
                        <th class='center' width="10%">Scadenza periodica</th>
                        <th class='center' width="12%">Portata MAX (litri/min)</th>
                        <?php if ($this->richiesta->manuale || !$pistole) { ?>
                            <th width="5%"></th>
                            <th width="5%"></th>
                        <?php } ?>
                    </tr>
                </thead>
                <tbody>
                    <?php if ($this->richiesta) { ?>
                        <?php if (!$this->richiesta->manuale) { ?>
                            <?php foreach ($pistole as $pistola) { ?>
                                <tr>
                                    <td class='center'><?php echo ++$i ?></td>
                                    <td><?php echo $pistola->tipologia ?></td>
                                    <td><?php echo $pistola->matricolaPistola ?></td>
                                    <td><?php echo $pistola->marca ?></td>
                                    <td><?php echo $pistola->modello ?></td>
                                    <td class="center"><?php echo $pistola->normativa ?></td>
                                    <td class='center'><?php echo date("d/m/Y", strtotime($pistola->scadenzaPeriodica)) ?></td>
                                    <td class="center"><?php echo $pistola->portata ?></td>
                                </tr>
                            <?php } ?>
                        <?php } else { ?>
                            <?php foreach ($pistole as $pistola) { ?>
                                <tr>
                                    <td><input type="text" name="pistole[tipologia][]" value="<?php echo $pistola->tipologia ?>"/></td>
                                    <td><input type="text" name="pistole[matricola][]" value="<?php echo $pistola->matricola ?>"/></td>
                                    <td><input type="text" name="pistole[marca][]" value="<?php echo $pistola->marca ?>"/></td>
                                    <td><input type="text" name="pistole[modello][]" value="<?php echo $pistola->modello ?>"/></td>
                                    <td><input type="text" name="pistole[normativa][]" value="<?php echo $pistola->normativa ?>"/></td>
                                    <td><input type="text" name="pistole[scadenzaPeriodica][]" value="<?php echo $pistola->scadenzaPeriodica ?>"/></td>
                                    <td><input type="number" name="pistole[portata][]" value="<?php echo $pistola->portata ?>" step="1" min="0" max="" /></td>
                                    <td class="text-right"><span class="btn btn-sm btn-success add-row"><i class="fa fa-plus-circle"></i></span></td>
                                    <td class="text-right"><span class="btn btn-sm btn-danger remove-row"><i class="fa fa-minus-circle"></i></span></td>
                                </tr>
                            <?php } ?>
                        <?php } ?>
                    <?php } elseif ($pistole) { ?>
                        <?php foreach ($pistole as $pistola) { ?>
                            <tr>
                                <td class='center'><?php echo ++$i ?></td>
                                <td><?php echo $pistola->tipologia ?></td>
                                <td><?php echo $pistola->matricolaPistola ?></td>
                                <td><?php echo $pistola->marca ?></td>
                                <td><?php echo $pistola->modello ?></td>
                                <td class="center"><?php echo $pistola->normativa ?></td>
                                <td class='center'><?php echo date("d/m/Y", strtotime($pistola->scadenzaPeriodica)) ?></td>
                                <td class="center"><?php echo $pistola->portata ?></td>
                            </tr>
                        <?php } ?>
                    <?php } else { ?>
                        <tr>
                            <td><input type="text" name="pistole[tipologia][]" /></td>
                            <td><input type="text" name="pistole[matricola][]" /></td>
                            <td><input type="text" name="pistole[marca][]" /></td>
                            <td><input type="text" name="pistole[modello][]" /></td>
                            <td><input type="text" name="pistole[normativa][]" /></td>
                            <td><input type="text" name="pistole[scadenzaPeriodica][]" /></td>
                            <td><input type="number" name="pistole[portata][]" value="" step="1" min="0" max="" /></td>
                            <td class="text-right"><span class="btn btn-sm btn-success add-row"><i class="fa fa-plus-circle"></i></span></td>
                            <td class="text-right"><span class="btn btn-sm btn-danger remove-row"><i class="fa fa-minus-circle"></i></span></td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
            <hr/>
            <h4>Altre informazioni</h4>
            <div class="" style="border: 1px solid #000; padding: 15px;">
                <div clasS="row flex">
                    <div clasS="col-sm-3 flex" style="align-items: center;">
                        La richiesta di Verifica è stata:
                    </div>
                    <div class="col-sm-9">
                        <div class="row flex" style="align-items: center;">
                            <div class="col-sm-2">
                                <label style="font-size: 15px;"><input type="radio" name="richiestaVerifica" value="1" <?php echo ($this->richiesta && $this->richiesta->richiestaVerifica ? 'checked="checked"' : (!$this->richiesta ? 'checked="checked"' : null)) ?>/> Accettata</label>
                            </div>
                            <div class="col-sm-10">
                                La verifica si effettuerà in data: <input type="text" name="dataVerifica" class="datetimepicker" value="<?php echo ($this->richiesta ? date("d/m/Y", strtotime($this->richiesta->dataVerifica)) : null) ?>"/>
                            </div>
                        </div>
                        <hr class="clearfix"/>
                        <div class="row flex" style="align-items: center;">
                            <div class="col-sm-2">
                                <label style="font-size: 15px;"><input type="radio" name="richiestaVerifica" value="0" <?php echo ($this->richiesta && !$this->richiesta->richiestaVerifica ? 'checked="checked"' : null) ?>/> Rifiutata</label>
                            </div>
                            <div class="col-sm-10">
                                <textarea name="motivazione" rows="3" style="width: 100%" placeholder="Motivazione"><?php echo ($this->richiesta ? $this->richiesta->motivazione : null) ?></textarea>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div clasS="col-sm-3">
                        <b>NR. PROG. PROT.:</b>  <input type="text" value="<?php echo ($this->richiesta ? $this->richiesta->progressivo : $this->ultimoProgressivo) ?>" name="progressivo" style="width: 35px; text-align: center;" min="1"/> / <?php echo date("m / Y", ($this->richiesta ? strtotime($this->richiesta->inserted) : time())) ?><br/>
                        <small><b>(da riportare su allegato P4MID)</b></small>
                    </div>
                </div>
            </div>
            <hr/>
            <div class="row">
                <div class="col-sm-6">
                    Altre note
                    <textarea name='altreNote'><?php echo $this->richiesta->altreNote ?></textarea>
                </div>
                <div class="col-sm-6 text-right">
                    Data di compilazione <input type="text" name="dataCompilazione" class="datetimepicker" value="<?php echo ($this->richiesta ? date("d/m/Y", strtotime($this->richiesta->dataCompilazione)) : date("d/m/Y")) ?>"/>
                </div>
            </div>
        </div>
        <div class="panel-footer">
            <div class="clearfix">
                <?php if ($this->richiesta) { ?>
                    <?php foreach ($this->richiesta->idPistole as $pistola) { ?>
                        <input type="hidden" name="idPistole[]" value="<?php echo $pistola ?>"/>
                    <?php } ?>
                <?php } elseif ($pistole) { ?>
                    <?php foreach ($pistole as $pistola) { ?>
                        <input type="hidden" name="idPistole[]" value="<?php echo $pistola->idPistola ?>"/>
                    <?php } ?>
                <?php } ?>
                <input type="hidden" name="manuale" value="<?php echo ($this->richiesta ? $this->richiesta->manuale : (JRequest::getVar("idPistole") ? false : true)) ?>"/>
                <input type="hidden" name="idRichiesta" value="<?php echo $this->richiesta->idRichiesta ?>"/>
                <input type="submit" value="Salva richiesta" class="btn btn-success pull-right"/>
            </div>
        </div>
    </div>
</form>
<style>
    table tbody tr td input {width: 100%!important;}
    table tbody tr .add-row {display: none!important;}
    table tbody tr:last-child .add-row {display: inline!important;}
</style>
<script>
    jQuery(function ($) {
        $(document).on("change", "[name='progressivo']", function () {
            $("input[type='submit']").addClass("disabled");
            $.ajax({
                url: "index.php?option=com_osma&task=amministrazione.check_progressivo_rvmp&format=raw",
                method: "POST",
                data: {
                    progressivo: $("[name='progressivo']").val()
                }
            }).done(function (data) {
                data = JSON.parse(data);
                if (data.success) {
                    $("input[type='submit']").removeClass("disabled");
                } else {
                    Joomla.renderMessages({
                        error: ["Progressivo già esistente"]
                    });
                }
            });
        });
        $(document).on("click", "input[type='submit'].disabled", function (e) {
            return false;
        });
        $(".datetimepicker").datetimepicker({
            format: 'DD/MM/YYYY'
        });
        $(document).on("click", ".add-row", function (e) {
            $row = $(this).parents("tr").clone(true);
            $row.find("input, select").val("");
            $(this).parents("tbody").append($row);
            return false;
        });
        $(document).on("click", ".remove-row", function (e) {
            $row = $(this).parents("tr").remove();
            return false;
        });
        $(document).on("change", "[name='idGestore']", function () {
            $.ajax({
                url: "index.php?option=com_osma&task=gestori.getGestore&format=raw",
                method: "POST",
                data: {
                    idGestore: $(this).val()
                }
            }).done(function (response) {
                response = JSON.parse(response);
                if (response.success) {
                    $("[name='intestazione-fattura[denominazione]']").val(response.data.cliente.ragioneSociale);
                    $("[name='intestazione-fattura[indirizzo]']").val(response.data.cliente.indirizzo);
                    $("[name='intestazione-fattura[comune]']").val(response.data.cliente.comune);
                    $("[name='intestazione-fattura[piva]']").val(response.data.cliente.piva);
                    $("[name='intestazione-fattura[telefono]']").val(response.data.cliente.telefono);
                    $("[name='intestazione-fattura[fax]']").val(response.data.cliente.fax);

                    $("[name='utente-metrico[denominazione]']").val(response.data.gestore.ragioneSociale);
                    $("[name='utente-metrico[indirizzo]']").val(response.data.gestore.indirizzo);
                    $("[name='utente-metrico[comune]']").val(response.data.gestore.comune);
                    $("[name='utente-metrico[coloreCompagnia]']").val(response.data.gestore.coloreCompagnia);
                    $("[name='utente-metrico[piva]']").val(response.data.gestore.piva);
                    $("[name='utente-metrico[nrRea]']").val(response.data.gestore.nrRea);
                    $("[name='utente-metrico[telefono]']").val(response.data.gestore.telefono);
                    $("[name='utente-metrico[fax]']").val(response.data.gestore.fax);
                    $("[name='utente-metrico[email]']").val(response.data.gestore.email);
                }
            });
        });
        $(document).on("change", "[name='idPreventivo']", function () {
            $(".go-to-preventivo").prop("href", "index.php?option=com_osma&task=amministrazione.visualizzapreventivo&format=raw&idPreventivo=" + $(this).val());
            $(".go-to-preventivo").removeClass("hidden");

            $("[name='idGestore']").val($(this).find("option:selected").data("idgestore"));
            $("[name='idGestore']").trigger("change");
            $("[name='idGestore']").trigger("chosen:updated");
        });
    });
</script>