jQuery(function ($) {
    $('.chosen').chosen({
        width: $(this).width(),
        allow_single_deselect: true
    });
    $(document).on("change", ".t3a-form input, .t3a-form select", function (e) {
        $(this).parents("form").get(0).submit();
    });

    $(document).on("click", "form .reset", function () {
        var __form = $(this).parents("form");
        $(__form).find("select, input").val("");
        $(this).find('.chosen').trigger("chosen:updated");
        $(__form).submit();
    });

    $(document).on("click", ".select-all", function () {
        $(this).parents("table").find("tr > td .t3a-checkbox:not(.fa-check-circle-o)").trigger("click");
    });

    $(document).on('click', '.invoice-gen', function (event) {
        event.preventDefault();

        var checked = true;
        var idAttrezzatura = "";
        $.each($("input[name='cid[]']"), function (index, value) {
            if (!$(value).attr("checked")) {
                checked = false;
            }
        });
        if (checked) {
            $("form#adminForm").attr("action", $(this).data("action"));
            $("form#adminForm").submit();
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

    $(document).on("submit", "form[name='generaRichiestaVerifica']", function (e) {
        if ($(this).find("[name='idPistole[]']:checked").size()) {
            return true;
        } else {
            Joomla.renderMessages({
                error: ['Seleziona almeno un elemento nella lista.']
            });
            return false;
        }
    });
});