<form id="add" class="addmatricola">
    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">Dati Matricola</h3>
        </div>
        <div class="panel-body">
            <div class="form-group col-md-12">
                <input type="text" class="obb nrMatricola form-control" name="nrMatricola" placeholder="Nr Matricola" value="<?php echo $data->nrMatricola; ?>"/>
                <span class="hidden help-block">Inserisci un valore</span>
            </div>
            <div class="form-group col-md-12">
                <textarea name="note" id="note" style="width:100%;height:150px;" placeholder="Note..."><?php
                    if ($data->note) {
                        echo $data->note;
                    }
                    ?></textarea>
            </div>
            <div class="form-group col-md-12">
                <select name="idModello" data-placeholder="Seleziona modello" class="chosen-select modello-select" tabindex="17" style="width:100%;">
                    <option value="0">Seleziona modello</option>
                    <?php foreach ($modelli as $modello) { ?>
                        <option <?php
                        if ($modello->idModello == $data->idModello) {
                            echo 'selected="selected"';
                        }
                        ?> value="<?php echo $modello->idModello; ?>"><?php echo $modello->modello; ?></option>
                        <?php } ?>
                </select>
            </div>
            <div class="form-group col-md-12">
                <input type="text" readonly="readonly" class="form-control" id="marca" name="marca" value="<?php echo $data->marca; ?>"/>
            </div>
            <div class="form-group col-md-12">
                <input type="text" readonly="readonly" class="form-control" id="tipologia" name="tipologia" value="<?php echo $data->tipologia; ?>"/>
            </div>
            <div class="form-group col-md-12">
                <select id="normativa" name="normativa" placeholder="Seleziona la normativa" data-placeholder="Normativa" class="<?php if ($data->idTipologia != 3 && $data->idTipologia != 4 && $data->idTipologia != 5) echo "hidden"; ?> normativa-select" tabindex="17" style="width:100%;">
                    <option value="Nazionale" selected="selected">Nazionale</option>
                    <option value="Mid" <?php
                    if ($data->normativa == "Mid") {
                        echo 'selected="selected"';
                    }
                    ?>>Mid</option>
                </select>
            </div>
            <div class="form-group col-md-12">
                <input type="text" placeholder="Nr Totale Pistole" class='<?php echo ($data->idTipologia != 5 ? "hidden nrPistole form-control" : "nrPistole form-control") ?>' id="nrPistole" name="nrPistole" value="<?php echo count($pistole); ?>"/>
            </div>
        </div>
    </div>
    <div class="pistole">

    </div>
    <input type="hidden" name="id" value="<?php echo JRequest::getVar('id'); ?>" id="id" />
    <input type="hidden" name="idMarca" id="idMarca" value="<?php echo $data->idMarca; ?>"/>
    <input type="hidden" name="idTipologia" id="idTipologia" value="<?php echo $data->idTipologia; ?>" />
</form>
<script type="text/javascript">
//inizializzazione della select con chosen
    jQuery(document).ready(function () {
        jQuery(".chosen-select").chosen({width: "100%"});
        jQuery(".scadenza").datetimepicker({
            format: 'MM/YYYY'
        });
        //carico i panel con le pistole se è erogatore e sono in modifica
<?php if ($data->idTipologia == 5) { ?>
    <?php foreach ($pistole AS $key => $pistola) { ?>
                html = "";
                html += '<div class="panel panel-warning">';
                html += '<div class="panel-heading">';
                html += '<h3 class="panel-title">Pistola nr.<?php echo $key + 1; ?></h3>';
                html += '</div>';
                html += '<div class="panel-body">';
                html += '<div class="form-group col-md-6">';
                html += '<input type="text" class="nrMatricolaPistola form-control" name="nrMatricolaPistola[]" placeholder="Nr Matricola Pistola" value="<?php echo $pistola->matricolaPistola; ?>" />';
                html += '</div>';
                html += '<div class="form-group col-md-6">';
                html += '<select class="prodottoErogato form-control" name="prodottoErogato[]" placeholder="Prodotto Erogato">';
        <?php foreach ($prodotti as $prodotto) { ?>
                    html += '<option <?php echo ($prodotto->idProdottoErogato == $pistola->idProdottoErogato ? 'selected="selected"' : "") ?> value="<?php echo $prodotto->idProdottoErogato; ?>"><?php echo $prodotto->prodottoErogato; ?></option>';
        <?php } ?>
                html += '</select>';
                html += '</div>';
                html += '<div class="form-group col-md-6">';
                html += '<input type="text" class="portata form-control" name="portata[]" placeholder="Portata Massima" value="<?php echo $pistola->portata; ?>" />';
                html += '</div>';
                html += '<div class="form-group col-md-6">';
                html += '<input type="text" class="scadenza form-control" name="scadenza[]" placeholder="Scadenza periodica Biennale" value="<?php echo ($pistola->scadenzaPeriodica != "0000-00-00" ? date('m/Y', strtotime($pistola->scadenzaPeriodica)) : "") ?>" />';
                html += '</div>';
                html += '<div class="form-group col-md-12">';
                html += '<select class="pompa-rv form-control chosen-select" name="idMatricolaRV[]">';
                html += '<option value></option>';
        <?php foreach ($matricoleRV as $matricola) { ?>
                    html += '<option <?php echo ($matricola->idMatricola == $pistola->idMatricolaRV ? 'selected="selected"' : "") ?> value="<?php echo $matricola->idMatricola; ?>"><?php echo $matricola->marca; ?> <?php echo $matricola->modello; ?> (<?php echo $matricola->nrMatricola; ?>)</option>';
        <?php } ?>
                html += '</select>';
                html += '</div>';
                html += '</div>';
                html += '</div>';
                jQuery('.pistole').append(html);
                jQuery(".scadenza").datetimepicker({
                    format: 'MM/YYYY'
                });
                jQuery(".chosen-select.pompa-rv").chosen({
                    width: "100%",
                    placeholder_text_single: "Seleziona una matricola di Recupero Vapore"
                });
    <?php } ?>
<?php } ?>
    });
    jQuery(document).on('change', '.modello-select', function (event) {
        var idModello = jQuery(this).val();
        var url = "index.php?option=com_osma&task=matricole.getmarcatipologia&format=raw";
        jQuery.ajax({
            type: "POST",
            url: url,
            data: {idModello: idModello}
        }).done(function (result) {
            var ris = jQuery.parseJSON(result);
            jQuery('#marca').val(ris.marca);
            jQuery('#idMarca').val(ris.idMarca);
            jQuery('#tipologia').val(ris.tipologia);
            jQuery('#idTipologia').val(ris.idTipologia);
            //Se Erogatore -> visualizzo il nr di pistole
            if (ris.idTipologia == 5) {
                jQuery('#nrPistole').removeClass('hidden');
                jQuery('#nrPistole').val('');
            } else {
                jQuery('#nrPistole').addClass('hidden');
                jQuery('#nrPistole').val(0);
                jQuery('.pistole').html("");
            }
            //Se Sistema di Pre-Pagamento OR sistema di Post-Pagamento o Erogatore -> visualizzo normativa
            if (ris.idTipologia == 3 || ris.idTipologia == 4 || ris.idTipologia == 5) {
                jQuery('#normativa').removeClass('hidden');
                jQuery('#normativa').val('Nazionale');
            } else {
                jQuery('#normativa').addClass('hidden');
                jQuery('#normativa').val("-");
            }
        });
    });
    jQuery(document).on('change', '.nrPistole', function (event) {
        var nrPistole = jQuery(this).val();
        var html = "";
        if (nrPistole == 0) {
            alert("Il numero di pistole deve essere maggiore di zero.")
        } else {
            html += '<div class="panel panel-warning">';
            html += '<div class="panel-heading">';
            html += '<h3 class="panel-title">Pistola nr.' + 1 + '</h3>';
            html += '</div>';
            html += '<div class="panel-body">';
            html += '<div class="form-group col-md-6">';
            html += '<input type="text" class="nrMatricolaPistola form-control" name="nrMatricolaPistola[]" placeholder="Nr Matricola Pistola" />';
            html += '</div>';
            html += '<div class="form-group col-md-6">';
            html += '<select class="prodottoErogato form-control" name="prodottoErogato[]" placeholder="Prodotto Erogato"><?php foreach ($prodotti as $prodotto) { ?><option value="<?php echo $prodotto->idProdottoErogato; ?>"><?php echo $prodotto->prodottoErogato; ?></option><?php } ?></select>';
            html += '</div>';
            html += '<div class="form-group col-md-6">';
            html += '<input type="text" class="portata form-control" name="portata[]" placeholder="Portata Massima" />';
            html += '</div>';
            html += '<div class="form-group col-md-6">';
            html += '<input type="text" class="scadenza form-control" name="scadenza[]" placeholder="Scadenza periodica Biennale" />';
            html += '</div>';
            html += '<div class="form-group col-md-12">';
            html += '<select class="pompa-rv form-control chosen-select" name="idMatricolaRV[]">';
            html += '<option value></option>';
<?php foreach ($matricoleRV as $matricola) { ?>
                html += '<option value="<?php echo $matricola->idMatricola; ?>"><?php echo $matricola->marca; ?> <?php echo $matricola->modello; ?> (<?php echo $matricola->nrMatricola; ?>)</option>';
<?php } ?>
            html += '</select>';
            html += '</div>';
            html += '</div>';
            html += '</div>';
            jQuery('.pistole').html(html);
            jQuery(".scadenza").datetimepicker({
                format: 'MM/YYYY'
            });
            for (i = 1; i < nrPistole; i++) {
                var html = "";
                var j = i + 1;
                html += '<div class="panel panel-warning">';
                html += '<div class="panel-heading">';
                html += '<h3 class="panel-title">Pistola nr.' + j + '</h3>';
                html += '</div>';
                html += '<div class="panel-body">';
                html += '<div class="form-group col-md-6">';
                html += '<input type="text" class="nrMatricolaPistola form-control" name="nrMatricolaPistola[]" placeholder="Nr Matricola Pistola" />';
                html += '</div>';
                html += '<div class="form-group col-md-6">';
                html += '<select class="prodottoErogato form-control" name="prodottoErogato[]" placeholder="Prodotto Erogato"><?php foreach ($prodotti as $prodotto) { ?><option value="<?php echo $prodotto->idProdottoErogato; ?>"><?php echo $prodotto->prodottoErogato; ?></option><?php } ?></select>';
                html += '</div>';
                html += '<div class="form-group col-md-6">';
                html += '<input type="text" class="portata form-control" name="portata[]" placeholder="Portata Massima" />';
                html += '</div>';
                html += '<div class="form-group col-md-6">';
                html += '<input type="text" class="scadenza form-control" name="scadenza[]" placeholder="Scadenza periodica Biennale" />';
                html += '</div>';
                html += '<div class="form-group col-md-12">';
                html += '<select class="pompa-rv form-control chosen-select" name="idMatricolaRV[]">';
                html += '<option value></option>';
<?php foreach ($matricoleRV as $matricola) { ?>
                    html += '<option value="<?php echo $matricola->idMatricola; ?>"><?php echo $matricola->marca; ?> <?php echo $matricola->modello; ?> (<?php echo $matricola->nrMatricola; ?>)</option>';
<?php } ?>
                html += '</select>';
                html += '</div>';
                html += '</div>';
                html += '</div>';
                jQuery('.pistole').append(html);
                jQuery(".scadenza").datetimepicker({
                    format: 'MM/YYYY'
                });
            }
            jQuery(".chosen-select.pompa-rv").chosen({
                width: "100%",
                placeholder_text_single: "Seleziona una matricola di Recupero Vapore"
            });
        }
    });

</script>
