<?php
defined('_JEXEC') or die('Restricted access');
?>

<div class="main-panel">
    <div class="col-sm-12">
        <div class="panel panel-default">
            <div class="panel-heading"><h3><i class='fa fa-car'></i>&nbsp;Scadenze mezzi</h3></div>
            <div class="panel-body">
                <div class="row">
                    <div class="clearfix numbers">
                        <div class="col-sm-2">
                            <p>Bolli scaduti</p>
                            <a href="javascript:void(0);"><h5 data-to="<?php echo $this->items['mezzi']['bolli']['scaduti'] ?>">0</h5></a>
                        </div>
                        <div class="col-sm-2">
                            <p>Bolli in scad.</p>
                            <a href="javascript:void(0);"><h5 data-to="<?php echo $this->items['mezzi']['bolli']['scadenza'] ?>">0</h5></a>
                        </div>
                        <div class="col-sm-2">
                            <p>Revisioni scadute</p>
                            <a href="javascript:void(0);"><h5 data-to="<?php echo $this->items['mezzi']['revisioni']['scadute'] ?>">0</h5></a>
                        </div>
                        <div class="col-sm-2">
                            <p>Revisioni in scad.</p>
                            <a href="javascript:void(0);"><h5 data-to="<?php echo $this->items['mezzi']['revisioni']['scadenza'] ?>">0</h5></a>
                        </div>
                        <div class="col-sm-2">
                            <p>Assicurazioni scadute</p>
                            <a href="javascript:void(0);"><h5 data-to="<?php echo $this->items['mezzi']['assicurazioni']['scadute'] ?>">0</h5></a>
                        </div>
                        <div class="col-sm-2">
                            <p>Assicurazioni in scad.</p>
                            <a href="javascript:void(0);"><h5 data-to="<?php echo $this->items['mezzi']['assicurazioni']['scadenza'] ?>">0</h5></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-4">
        <div class="panel panel-default">
            <div class="panel-heading"><h3><i class='fa fa-user'></i>&nbsp;Visite mediche</h3></div>
            <div class="panel-body">
                <div class="row">
                    <div class="clearfix numbers">
                        <div class="col-sm-6 center">
                            <p>Scadute</p>
                            <a href="javascript:void(0);"><h5 data-to="<?php echo $this->items['manutentori']['visite']['scadute'] ?>">0</h5></a>
                        </div>
                        <div class="col-sm-6 center">
                            <p>In scadenza</p>
                            <a href="javascript:void(0);"><h5 data-to="<?php echo $this->items['manutentori']['visite']['scadenza'] ?>">0</h5></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-4">
        <div class="panel panel-default">
            <div class="panel-heading"><h3><i class='fa fa-cog'></i>&nbsp;Revisione attrezzatura</h3></div>
            <div class="panel-body">
                <div class="row">
                    <div class="clearfix numbers">
                        <div class="col-sm-6 center">
                            <p>Scadute</p>
                            <a href="javascript:void(0);"><h5 data-to="<?php echo $this->items['attrezzature']['revisioni']['scadute'] ?>">0</h5></a>
                        </div>
                        <div class="col-sm-6 center">
                            <p>In scadenza</p>
                            <a href="javascript:void(0);"><h5 data-to="<?php echo $this->items['attrezzature']['revisioni']['scadenza'] ?>">0</h5></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-4">
        <div class="panel panel-default">
            <div class="panel-heading"><h3><i class='fa fa-wrench'></i>&nbsp;Revisione distributori</h3></div>
            <div class="panel-body">
                <div class="row">
                    <div class="clearfix numbers">
                        <div class="col-sm-6 center">
                            <p>Scadute</p>
                            <a href="<?php echo osmaHelper::router("index.php?option=com_osma&view=amministrazione&layout=pistole-scadenza&filter_chiamata=2") ?>"><h5 data-to="<?php echo $this->items['pistole']['revisioni']['scadute'] ?>">0</h5></a>
                        </div>
                        <div class="col-sm-6 center">
                            <p>In scadenza</p>
                            <a href="<?php echo osmaHelper::router("index.php?option=com_osma&view=amministrazione&layout=pistole-scadenza&filter_chiamata=2") ?>"><h5 data-to="<?php echo $this->items['pistole']['revisioni']['scadenza'] ?>">0</h5></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    jQuery(function ($) {
        $('[data-to]').each(function () {
            $(this).prop('Counter', 0).animate({
                Counter: $(this).data("to")
            }, {
                duration: 1000,
                easing: 'swing',
                step: function (now) {
                    $(this).text(Math.ceil(now));
                }
            });
        });
    });
</script>