<?php
defined('_JEXEC') or die('Restricted access');

$statoChiamata = array(
    1 => 'Aperta',
    2 => 'In Corso',
    3 => 'Sospesa',
    4 => 'Chiusa',
    5 => 'In attesa di autorizzazione intervento',
    6 => 'In attesa di autorizzazione fatturazione'
);
$tipoChiamata = array(1 => 'Forfait', 2 => 'Extra Forfait', 3 => 'Programmate', 4 => 'Giroluci', 5 => 'Presa Visione');

$this->lordo = 0;
$this->lavori = 0;
?>

<div class="t3a-toolbar row">
    <div class="btn-group btn-group-small pull-right">
        <a href="javascript:void(0);" class="add-voce btn btn-success">
            <span class="fa fa-plus"></span> Aggiungi voce
        </a>
    </div>
</div>
<form name="preventivo" action="index.php?option=com_osma&task=preventivatore.aggiungiPreventivo&format=raw"
      method="POST">
    <div class="panel panel-default main-panel" id="preventivo-panel" style="display: flex;">
        <div class="col-md-10">
            <div class="panel-heading">
                <h3 class="panel-title">Riepilogo dati preventivo su chiamata
                    #<?php echo $this->chiamata->nrChiamata ?></h3>
                <div class="row header">
                    <div class="col-sm-6">
                        <strong>PVF:</strong> <?php echo $this->chiamata->gNrPuntoVendita . " - " . $this->chiamata->gRagioneSociale . ", " . $this->chiamata->gIndirizzo . ", " . $this->chiamata->gComune . " (" . $this->chiamata->gProvincia . ")" ?>
                    </div>
                    <div class="col-sm-3"><strong>Preventivo:</strong> <?php echo $this->numeroPreventivo ?></div>
                    <div class="col-sm-3"><strong>Data / ora
                            chiamata:</strong> <?php echo date("d/m/Y H:i", strtotime($this->chiamata->dataApertura)) ?>
                    </div>
                    <div class="col-sm-3"><strong>Cliente:</strong> <?php echo $this->chiamata->cRagioneSociale ?></div>
                    <div class="col-sm-3"><strong>Tipologia:</strong> <?php echo $tipoChiamata[$this->chiamata->tipo] ?>
                    </div>
                    <div class="col-sm-3"><strong>Stato
                            chiamata:</strong> <?php echo $statoChiamata[$this->chiamata->stato] ?></div>
                    <div class="col-sm-12"><strong>Oggetto
                            chiamata:</strong> <?php echo $this->chiamata->descrizioneGenerale ?></div>
                </div>
            </div>
            <div class="panel-body">
                <table class="table table-bordered table-striped preventivo">
                    <thead>
                    <tr>
                        <th style="width: 4%;">ID</th>
                        <th style="width: 10%;">COD</th>
                        <th>Descrizione</th>
                        <th style="width: 4%;">U.M.</th>
                        <th class="text-right" style="width: 6.5%;">Qt.</th>
                        <th class="text-right" style="width: 9%;">P.U.</th>
                        <th class="text-right" style="width: 9%;">Pr. Tot</th>
                        <th class="text-right" style="width: 6.5%;">Sconto</th>
                        <th class="text-right" style="width: 9%;">Importo</th>
                        <th style='width: 7%;'></th>

                    </tr>
                    </thead>
                    <tbody id="sort">
                    <?php if ($this->preventivo) { ?>
                        <?php foreach ($this->preventivo->voci as $voce) { ?>
                            <?php $totale = $voce->quantita * $voce->prezzoUnitario; ?>
                            <?php $sconto = ($totale / 100) * $voce->sconto; ?>
                            <?php $netto = $totale - $sconto; ?>
                            <?php $this->lavori += $netto; ?>
                            <?php $this->lordo += $totale; ?>
                            <tr>
                                <input data-orderid="<?php echo $voce->orderId; ?>" class="order" name="orderId[]" type="hidden" value="<?php echo $voce->orderId; ?>" />
                                <input class="orderVoceID" name="orderVoceID[]" type="hidden" value="<?php echo $voce->idVoce; ?>" />
                                <td><?php echo $voce->idCapitolo ? $voce->idCapitolo : "-" ?><input type='hidden'
                                                                                                    name='idCapitolo[]'
                                                                                                    value='<?php echo $voce->idCapitolo ?>'/>
                                </td>
                                <td><?php echo $voce->codiceCapitoloRaw ? $voce->codiceCapitoloRaw : "-" ?></td>
                                <td><?php echo $voce->nome ?><input type='hidden' name='nome[]'
                                                                    value='<?php echo $voce->nome ?>'/>
                                    <?php if ($voce->note && $voce->note != ""): ?>
                                        <br/>
                                        <small><strong>Note: </strong><?php echo $voce->note; ?></small>
                                    <?php endif; ?>
                                </td>
                                <td><?php echo $voce->um ?><input type='hidden' name='um[]'
                                                                  value='<?php echo $voce->um ?>'/></td>
                                <td class='text-right'><?php echo $voce->quantita ?><input type='hidden'
                                                                                           name='quantita[]'
                                                                                           value='<?php echo $voce->quantita ?>'/>
                                </td>
                                <td class='text-right'><?php echo number_format($voce->prezzoUnitario, 2, ",", ".") ?> €<input
                                            type='hidden' name='prezzoUnitario[]'
                                            value='<?php echo $voce->prezzoUnitario ?>'/></td>
                                <td class='text-right'><?php echo number_format($voce->quantita * $voce->prezzoUnitario, 2, ",", ".") ?>
                                    €
                                </td>
                                <td class='text-right'><?php echo($voce->sconto ? $voce->sconto . "%" : "-") ?><input
                                            type='hidden' name='sconto[]' value='<?php echo $voce->sconto ?>'/></td>
                                <td class='text-right'><?php echo number_format(round($netto, 2), 2, ",", ".") ?>
                                    €<input type='hidden' name='noteVoci[]' value='<?php echo $voce->note ?>'/></td>
                                <td class='text-right'
                                    style="display: flex;align-items: center;justify-content: space-between;">
                                    <a class='btn btn-secondary modify-row btn-sm'
                                       data-idVoce="<?php echo $voce->idVoce; ?>" href="javascript:void(0);"><i
                                                class='fa fa-pencil' data-toggle="tooltip"
                                                data-placement="top" title="Modifica riga"></i></a><a
                                            class='btn btn-warning delete-row btn-sm' data-idVoce="<?php echo $voce->idVoce; ?>" onclick="return confirm('Sicuro di voler eliminare la riga selezionata?')"><i
                                                class='fa fa-times' data-toggle="tooltip"
                                                data-placement="top" title="Elimina riga"></i></a></td>
                            </tr>
                        <?php } ?>
                    <?php } ?>
                    </tbody>
                </table>
                <div class="clearfix" style="">
                    <label>Note</label>
                    <textarea name="note"><?php echo $this->preventivo->note ?></textarea>
                </div>
            </div>
            <div class="panel-footer">
                <div class="row">
                    <div class="col-sm-8">
                    <span class="btn-group btn-group-small">
                        <button class="btn btn-success copy-preventivo">Copia da preventivo</button>
                        <?php if ($this->preventivo->idPreventivo) { ?>
                            <button class="btn btn-warning send-preventivo">Invia</button>
                            <a class="btn btn-warning print-preventivo" target="_blank"
                               href="/index.php?option=com_osma&task=preventivatore.stampaPreventivo&format=raw&idPreventivo=<?php echo $this->preventivo->idPreventivo ?>">Stampa</a>
                            <button class="btn btn-warning export-preventivo">Esporta</button>
                        <?php } ?>
                        <input class="btn btn-primary" type="submit" value='Salva preventivo'/>
                    </span>
                    </div>
                    <div class="col-sm-2 text-right">
                        <strong>Totale prev. lordo</strong><br/>
                        <span class="lordo"><?php echo($this->lordo ? number_format(round($this->lordo, 2), 2, ",", ".") : "-") ?></span>
                        €
                    </div>
                    <div class="col-sm-2 text-right">
                        <strong>Totale preventivo</strong><br/>
                        <span class="lavori"><?php echo($this->lavori ? number_format(round($this->lavori, 2), 2, ",", ".") : "-") ?></span>
                        €
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-2" style="background-color: #e4e4e4">
            <div id="riepilogo-panel" class="panel panel-primary" style="position:fixed;margin-right: 30px;">
                <div class="panel-heading" style="background-color: #2a3f54">
                    RIEPILOGO
                </div>
                <div class="panel-body">
                    <div class="col-lg-12">
                        <strong>Totale prev. lordo</strong><br/>
                        <span class="lordo"><h3><?php echo($this->lordo ? number_format(round($this->lordo, 2), 2, ",", ".") : "-") ?> €</h3></span>
                    </div>
                    <div class="col-lg-12">
                        <strong>Totale preventivo</strong><br/>
                        <span class="lavori"><h3><?php echo($this->lavori ? number_format(round($this->lavori, 2), 2, ",", ".") : "-") ?> €</h3></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <input type='hidden' name='idPreventivo' value='<?php echo $this->preventivo->idPreventivo ?>'/>
    <input type='hidden' name='idChiamata' value='<?php echo JRequest::getVar("idChiamata") ?>'/>
</form>


<div class="modal-lg modal fade" id="sendPreventivo" tabindex="-1" role="dialog" aria-labelledby="sendPreventivo">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title" id="new-capitolo-label">Invia preventivo</h4>
            </div>
            <div class="modal-body">
                <form name="sendPreventivo" action="" metohd="POST">
                    <?php if ($this->chiamata->emailCliente) { ?>
                        <div class="clearfix">
                            <input type="checkbox" name="indirizzi[]"
                                   value="<?php echo $this->chiamata->emailCliente ?>" checked="checked"
                                   id="invia-cliente"> <label for="invia-cliente">Invia al cliente
                                (<?php echo $this->chiamata->emailCliente ?>)</label>
                        </div>
                    <?php } ?>
                    <?php if ($this->chiamata->emailGestore) { ?>
                        <div class="clearfix" style="margin-top: 15px">
                            <input type="checkbox" name="indirizzi[]"
                                   value="<?php echo $this->chiamata->emailGestore ?>" id="invia-gestore"> <label
                                    for="invia-gestore">Invia al gestore (<?php echo $this->chiamata->emailGestore ?>
                                )</label>
                        </div>
                    <?php } ?>
                    <div class="clearfix" style="margin-top: 15px">
                        <input type="text" name="indirizzi[]" placeholder="Aggiungi altri indirizzi separati da virgola"
                               style="width: 100%;"/>
                    </div>
                    <input type='hidden' name='idPreventivo' value='<?php echo $this->preventivo->idPreventivo ?>'/>
                </form>
            </div>
            <div class="modal-footer">
                <div class="btn-group">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
                    <button type="button" class="btn btn-primary invia-preventivo-button">Invia</button>
                </div>
            </div>
        </div>
    </div>
</div>
<?php if ($this->preventivi) { ?>
    <div class="modal-lg modal fade" id="copyPreventivo" tabindex="-1" role="dialog" aria-labelledby="copyPreventivo">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="new-capitolo-label">Copia preventivo</h4>
                </div>
                <div class="modal-body">
                    <form name="copyPreventivo" action="" metohd="POST">
                        <select name="idPreventivo" id="idPreventivo">
                            <option></option>
                            <?php foreach ($this->preventivi as $preventivo) { ?>
                                <?php
                                if ($this->preventivo->idPreventivo == $preventivo->idPreventivo) {
                                    continue;
                                }
                                ?>
                                <option value="<?php echo $preventivo->idPreventivo ?>">
                                    #<?php echo str_pad($preventivo->idPreventivo, 5, "0", STR_PAD_LEFT) . "/" . date("Y", strtotime($preventivo->inserted)) ?>
                                    - <?php echo $preventivo->ragioneSociale ?>, <?php echo $preventivo->comune ?>
                                    (Chiamata <?php echo $preventivo->nrChiamata ?>)
                                </option>
                            <?php } ?>
                        </select>
                        <hr style="width: 100%;">
                        <div class="vox-container"
                             style="width: 100%; max-height: 200px; min-height: 200px; overflow-y: auto; border: 1px solid #AAA">

                        </div>
                        <p style="margin-top: 10px">
                            <a class="seleziona-all" href="javascript:void(0);">Seleziona tutte le voci</a> | <a
                                    class="deseleziona-all" href="javascript:void(0);">Deseleziona tutto</a>
                        </p>
                    </form>
                </div>
                <div class="modal-footer">
                    <div class="btn-group">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
                        <button type="button" class="btn btn-primary copia-preventivo-button">Invia</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php } ?>
<div class="modal-lg modal fade" id="add-voce" tabindex="-1" role="dialog" aria-labelledby="new-capitolo">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title" id="new-capitolo-label">Aggiungi voce preventivo</h4>
            </div>
            <div class="modal-body">
                <form name="addCapitolo" action="" metohd="POST">
                    <div class="panel">
                        <div class="panel-heading">
                            Compila Prezziario
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-md-3 col-sm-12">
                                    <label class="clearfix" style="margin-bottom: 10px;">Listino</label>
                                    <select name="idFilterListino" style="width: 100%" data-livello="0" class="filtro">
                                        <option value=""></option>
                                        <?php foreach ($this->listini_filter as $listino): ?>
                                            <option value="<?php echo $listino->idCapitolo; ?>"><?php echo $listino->nome; ?></option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                                <div class="col-md-3 col-sm-12">
                                    <label class="clearfix" style="margin-bottom: 10px;">Capitolo</label>
                                    <select name="idFilterCapitolo" style="width: 100%" data-livello="1" class="filtro">
                                        <option value=""></option>
                                        <?php foreach ($this->capitoli_filter as $capitolo): ?>
                                            <option value="<?php echo $capitolo->idCapitolo; ?>"><?php if ($capitolo->codiceCapitolo) echo $capitolo->codiceCapitolo, ": " . $capitolo->nome; else echo $capitolo->nome; ?></option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                                <div class="col-md-3 col-sm-12">
                                    <label class="clearfix" style="margin-bottom: 10px;">Famiglia</label>
                                    <select name="idFilterFamiglia" style="width: 100%" data-livello="2" class="filtro">
                                        <option value=""></option>
                                        <?php foreach ($this->famiglie_filter as $famiglia): ?>
                                            <option value="<?php echo $famiglia->idCapitolo; ?>"><?php if ($famiglia->codiceCapitolo != "") echo $famiglia->codiceCapitolo . ": " . $famiglia->nome; else echo $famiglia->nome; ?></option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                                <div class="col-md-3 col-sm-12">
                                    <label class="clearfix" style="margin-bottom: 10px;">Voce</label>
                                    <select name="idFilterVoce" style="width: 100%" data-livello="3" class="filtro">
                                        <option value=""></option>
                                        <?php foreach ($this->voci_filter as $voce): ?>
                                            <option data-prezzoUnitario="<?php if ($voce->prezzoUnitario) echo $voce->prezzoUnitario; else echo ""; ?>"
                                                    data-um="<?php if ($voce->um) echo $voce->um; else echo ""; ?>"
                                                    value="<?php echo $voce->idCapitolo; ?>"><?php if ($voce->codiceCapitolo != "") echo $voce->codiceCapitolo . ": " . $voce->nome; else echo $voce->nome; ?></option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                            </div>
                            <!--<div class="row">
                                <div class="col-md-3 col-sm-12">
                                    <label class="clearfix" style="margin-bottom: 10px;">SottoVoce</label>
                                    <select name="idFilterSottoVoce" style="width: 100%" data-livello="4"
                                            class="filtro">
                                        <option value=""></option>
                                        <?php /*foreach ($this->sottovoci_filter as $sottoVoce): */ ?>
                                            <option data-prezzoUnitario="<?php /*if ($sottoVoce->prezzoUnitario) echo $sottoVoce->prezzoUnitario; else echo ""; */ ?>"
                                                    data-um="<?php /*if ($sottoVoce->um) echo $sottoVoce->um; else echo ""; */ ?>"
                                                    value="<?php /*echo $sottoVoce->idCapitolo; */ ?>"><?php /*if ($sottoVoce->codiceCapitolo != "") echo $sottoVoce->codiceCapitolo . ": " . $sottoVoce->nome; else echo $sottoVoce->nome; */ ?></option>
                                        <?php /*endforeach; */ ?>
                                    </select>
                                </div>
                            </div>-->
                        </div>
                    </div>
                    <div class="row">
                        <!--<div class="col-sm-12">
                            <label class="clearfix" style="margin-bottom: 10px;">Seleziona categoria</label>
                            <select name="idCapitoloGenitore" style="width: 100%">
                                <option></option>
                                <option value="0">#: Nuova voce</option>
                                <?php /*if ($this->capitoli) { */ ?>
                                    <?php /*foreach ($this->capitoli as $item) { */ ?>
                                        <option value="<?php /*echo $item->idCapitolo */ ?>"><?php /*echo $item->codiceCapitolo */ ?>
                                            : <?php /*echo $item->nome */ ?></option>
                                        <?php /*$this->option_sottocapitolo($item, "&nbsp;&nbsp;&nbsp;&nbsp;" . $item->codiceCapitolo, true) */ ?>
                                    <?php /*} */ ?>
                                <?php /*} */ ?>
                            </select>
                        </div>-->
                        <div class="col-sm-12">
                            <label class="clearfix" style="margin-bottom: 10px;">Cerca (Min. 3 caratteri)</label>
                            <input type="text" name='search' style="width: 100%;"/>
                        </div>
                        <div class="col-sm-12 selezione-idcapitolo">
                            <label class="clearfix" style="margin-bottom: 10px;">Seleziona una opzione *</label>
                            <!--<select name="idCapitolo" style="width: 100%; height: 100px;" multiple size="1"
                                    class='required'></select>-->
                            <div id="idCapitolo"></div>
                        </div>
                        <div class="col-sm-12 testo-idcapitolo hidden">
                            <label class="clearfix" style="margin-bottom: 10px;">Nome</label>
                            <input type="text" name="nome" style="width: 100%" class="required"></select>
                        </div>
                        <div class='col-sm-12' style='margin-top:0'>
                            <hr class=''>
                        </div>
                        <div class="col-sm-3">
                            <label class="clearfix" style="margin-bottom: 10px;">Prezzo unitario</label>
                            <input type="text" name='prezzoUnitario' style="width: 100%;"/>
                        </div>
                        <div class="col-sm-3">
                            <label class="clearfix" style="margin-bottom: 10px;">Sconto (%)</label>
                            <input type="number" step='1' min='1' name='sconto' style="width: 100%;" value='0'/>
                        </div>
                        <div class="col-sm-3">
                            <label class="clearfix" style="margin-bottom: 10px;">U.M.</label>
                            <input type="text" name='um' style="width: 100%;" readonly/>
                        </div>
                        <div class="col-sm-3">
                            <label class="clearfix" style="margin-bottom: 10px;">Quantità *</label>
                            <input type="number" step='0.1' min='0.1' name='quantita' style="width: 100%;"
                                   class='required'/>
                        </div>
                        <div class="col-sm-12" style='margin-top: 15px;'>
                            <label class="clearfix" style="margin-bottom: 10px;">Note</label>
                            <textarea name='note'></textarea>
                        </div>
                    </div>
                    <input type="hidden" name='codiceCapitoloRaw' value=""/>
                    <input type="hidden" name='livelloRaw' value=""/>
                    <input type="hidden" name='idCapitoloRaw' value=""/>
                    <input type="hidden" name='idPreventivoRaw' value="<?php echo JRequest::getVar('idPreventivo');?>"/>
                </form>
            </div>
            <div class="modal-footer">
                <div class="btn-group">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
                    <button type="button" class="btn btn-primary add-capitolo-submit">Aggiungi</button>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
<script>
    jQuery(function ($) {
        $('#sort').sortable({
            cursor: 'move',
            axis: 'y',
            update: function(e, ui) {
                $(this).sortable('refresh');
                var params = {};
                var vociId = {};
                params = $('.order').serializeArray(),
                    vociId = $('.orderVoceID').serializeArray(),

                    $.ajax({
                        type: 'POST',
                        data: {
                            orderIds : params,
                            vociIds : vociId
                        },
                        url: 'index.php?option=com_osma&task=preventivatore.ordinaVociPreventivo&format=raw',
                        success: function(msg) {
                            console.log('Ordinamento avvenuto con successo');
                            window.location.reload(true);
                        }
                    });
            }
        });

        $(document).on("click", ".voce", function (e) {
            $('#idCapitolo').find('p.selected').removeClass('selected');
        });
        $(document).on("click", ".modify-row", function (e) {
            e.stopPropagation();
            var idVoce = $(this).attr('data-idVoce');

            $.ajax({
                type: 'POST',
                url: "index.php?option=com_osma&task=preventivatore.modificaVocePreventivo&format=raw",
                data: {
                    idVoce: idVoce
                }
            }).done(function (response) {
                data = JSON.parse(response);

                var id = idVoce = data.idCapitolo;
                var livello = data.livello;
                $.ajax({
                    type: 'POST',
                    url: "index.php?option=com_osma&task=preventivatore.getFiltersValues&format=raw",
                    data: {
                        id: id,
                        livello: livello
                    }
                }).done(function (response) {
                    response = JSON.parse(response);
                    $("[name='idFilterListino']").val(response.data.listini.selected);
                    $("[name='idFilterListino']").trigger("chosen:updated");

                    $("[name='idFilterCapitolo']").html("<option></option>");
                    $.each(response.data.capitoli.values, function (i, val) {
                        var selected = "";
                        if (val.idCapitolo == response.data.capitoli.selected) {
                            selected = "selected";
                        } else {
                            selected = "";
                        }
                        $("[name='idFilterCapitolo']").append("<option value='" + val.idCapitolo + "' " + selected + ">" + val.codiceCapitolo + ": " + val.nome + "</option>");
                    })
                    $("[name='idFilterCapitolo']").trigger("chosen:updated");

                    $("[name='idFilterFamiglia']").html("<option></option>");
                    $.each(response.data.famiglie.values, function (i, val) {
                        var selected = "";
                        if (val.idCapitolo == response.data.famiglie.selected) {
                            selected = "selected";
                        } else {
                            selected = "";
                        }
                        $("[name='idFilterFamiglia']").append("<option value='" + val.idCapitolo + "' " + selected + ">" + val.codiceCapitolo + ": " + val.nome + "</option>");
                    })
                    $("[name='idFilterFamiglia']").trigger("chosen:updated");

                    $("[name='idFilterVoce']").html("<option></option>");
                    $.each(response.data.voci.values, function (i, val1) {
                        $.each(val1, function (i, val) {
                            var selected = "";
                            if (val.idCapitolo == response.data.voci.selected) {
                                selected = "selected";
                            } else {
                                selected = "";
                            }
                            $("[name='idFilterVoce']").append("<option data-prezzoUnitario='" + val.prezzoUnitario + "' data-um='" + val.um + "' value='" + val.idCapitolo + "' " + selected + ">" + val.codiceCapitolo + ": " + val.nome + "</option>");
                        });

                    })
                    $("[name='idFilterVoce']").trigger("chosen:updated");

                    switch (livello) {


                        case 3:
                            $("#idCapitolo").html("");
                            var classe = "";
                            $.each(response.data.sottovoci.values, function (i, val1) {
                                $.each(val1, function (i, val) {
                                    if (i % 2 == 0) {
                                        classe = "odd";
                                    } else {
                                        classe = "even";
                                    }
                                    $("#idCapitolo").append("<p class='" + classe + "'><a class='voce' data-livello='" + val.livello + "' data-id='" + val.idCapitolo + "' href='#'>" + val.codiceCapitolo + ": " + val.descrizione + "</a></p>")
                                });
                            });
                            break;

                        case '4':

                            var id2 = $("[name='idFilterVoce']").val();
                            var livello2 = 3;

                            $.ajax({
                                type: 'POST',
                                url: "index.php?option=com_osma&task=preventivatore.getFiltersValues&format=raw",
                                data: {
                                    id: id2,
                                    livello: livello2
                                }
                            }).done(function (response) {
                                response = JSON.parse(response);
                                $("[name='idFilterListino']").val(response.data.listini.selected);
                                $("[name='idFilterListino']").trigger("chosen:updated");

                                $("[name='idFilterCapitolo']").html("<option></option>");
                                $.each(response.data.capitoli.values, function (i, val) {
                                    var selected = "";
                                    if (val.idCapitolo == response.data.capitoli.selected) {
                                        selected = "selected";
                                    } else {
                                        selected = "";
                                    }
                                    $("[name='idFilterCapitolo']").append("<option value='" + val.idCapitolo + "' " + selected + ">" + val.codiceCapitolo + ": " + val.nome + "</option>");
                                })
                                $("[name='idFilterCapitolo']").trigger("chosen:updated");

                                $("[name='idFilterFamiglia']").html("<option></option>");
                                $.each(response.data.famiglie.values, function (i, val) {
                                    var selected = "";
                                    if (val.idCapitolo == response.data.famiglie.selected) {
                                        selected = "selected";
                                    } else {
                                        selected = "";
                                    }
                                    $("[name='idFilterFamiglia']").append("<option value='" + val.idCapitolo + "' " + selected + ">" + val.codiceCapitolo + ": " + val.nome + "</option>");
                                })
                                $("[name='idFilterFamiglia']").trigger("chosen:updated");

                                $("[name='idFilterVoce']").html("<option></option>");
                                $.each(response.data.voci.values, function (i, val1) {
                                    $.each(val1, function (i, val) {
                                        var selected = "";
                                        if (val.idCapitolo == response.data.voci.selected) {
                                            selected = "selected";
                                        } else {
                                            selected = "";
                                        }
                                        $("[name='idFilterVoce']").append("<option data-prezzoUnitario='" + val.prezzoUnitario + "' data-um='" + val.um + "' value='" + val.idCapitolo + "' " + selected + ">" + val.codiceCapitolo + ": " + val.nome + "</option>");
                                    });

                                })
                                $("[name='idFilterVoce']").trigger("chosen:updated");

                                switch (livello2) {


                                    case 3:

                                        $("#idCapitolo").html("");
                                        var classe = "";
                                        $.each(response.data.sottovoci.values, function (i, val1) {
                                            $.each(val1, function (i, val) {
                                                if (i % 2 == 0) {
                                                    if (val.idCapitolo == idVoce)
                                                        classe = "odd selected"
                                                    else

                                                        classe = "odd";
                                                } else {
                                                    if (val.idCapitolo == idVoce)
                                                        classe = "even selected"
                                                    else
                                                        classe = "even";
                                                }

                                                $("#idCapitolo").append("<p class='" + classe + "'><a class='voce ' data-livello='" + val.livello + "' data-id='" + val.idCapitolo + "' href='#'>" + val.codiceCapitolo + ": " + val.descrizione + "</a></p>")
                                            });
                                        });
                                        break;


                                }

                            });

                            break;


                    }

                });

                var id2 = data.idCapitolo;
                $.ajax({
                    type: 'POST',
                    url: "index.php?option=com_osma&task=preventivatore.getCapitolo&format=raw",
                    data: {
                        id: id2
                    }
                }).done(function (response2) {
                    response2 = JSON.parse(response2);

                    $form = $("form[name='addCapitolo']");
                    $form.find("[name='codiceCapitoloRaw']").val(response2.data.codiceCapitoloRaw);
                    $form.find("[name='nome']").val(response2.data.nome);
                    $form.find("[name='idCapitoloRaw']").val(response2.data.idCapitolo);
                    $form.find("[name='livelloRaw']").val(response2.data.livello);
                });


                $("[name='prezzoUnitario']").val(data.prezzoUnitario);
                $("[name='sconto']").val(data.sconto);
                $("[name='um']").val(data.um);
                $("[name='quantita']").val(data.quantita);
                $("[name='note']").val(data.note);
            });

            $("form[name='addCapitolo']").find("[name='search'], [name='idCapitoloGenitore'], [name='um'], [name='codiceCapitoloRaw'], [name='quantita'], [name='note'], [name='nome'], [name='sconto'], [name='prezzoUnitario']").val("");
            $("form[name='addCapitolo']").find("[name='idCapitolo']").html("");
            $('#add-voce').modal('show');
            $("[name='idCapitoloGenitore']").trigger("chosen:updated");
        });

        $(document).on("click", ".add-voce", function (e) {
            e.stopPropagation();
            $("form[name='addCapitolo']").find("[name='search'], [name='idCapitoloGenitore'], [name='um'], [name='codiceCapitoloRaw'], [name='quantita'], [name='note'], [name='nome'], [name='sconto'], [name='prezzoUnitario']").val("");
            $("form[name='addCapitolo']").find("[name='idCapitolo']").html("");
            $('#add-voce').modal('show');
            $("[name='idCapitoloGenitore']").trigger("chosen:updated");
        });

        $("[name='idFilterListino']").chosen({
            width: "100%",
            allow_single_deselect: true,
            placeholder_text_single: "Seleziona un Listino"
        });

        $("[name='idFilterCapitolo']").chosen({
            width: "100%",
            allow_single_deselect: true,
            placeholder_text_single: "Seleziona un Capitolo"
        });

        $("[name='idFilterFamiglia']").chosen({
            width: "100%",
            allow_single_deselect: true,
            placeholder_text_single: "Seleziona una Famiglia"
        });

        $("[name='idFilterVoce']").chosen({
            width: "100%",
            allow_single_deselect: true,
            placeholder_text_single: "Seleziona una Voce"
        });

        /*$("[name='idFilterSottoVoce']").chosen({
            width: "100%",
            allow_single_deselect: true,
            placeholder_text_single: "Seleziona una SottoVoce"
        });
*/

        $("[name='idCapitoloGenitore']").chosen({
            width: "100%",
            allow_single_deselect: true,
            placeholder_text_single: "Seleziona un capitolo genitore"
        });
        $("#idPreventivo").chosen({
            width: "100%",
            placeholder_text_single: "Seleziona un preventivo"
        });
        $(document).on("keypress", "[name='search']", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            if (e.keyCode !== 13) {
                return;
            }
            $val = $.trim($(this).val());
            if ($val.length < 3 && $val.length > 0) {
                return;
            }
            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.getCapitoliChildren&format=raw",
                method: 'POST',
                data: {
                    q: $(this).val(),
                    id: $("[name='idCapitoloGenitore']").val()
                }
            }).done(function (response) {
                    response = JSON.parse(response);
                    $("#idCapitolo").html("");
                    $.each(response.data, function (i, val) {
                        if (i % 2 == 0) {
                            classe = "odd";
                        } else {
                            classe = "even";
                        }
                        $("#idCapitolo").append("<p class='" + classe + "'><a class='voce' data-livello='" + val.livello + "' data-id='" + val.idCapitolo + "' href='#'>" + val.codiceCapitoloRaw + ": " + val.nome + "</a></p>")
                    });
                }
            );

        });

        filtra('', 0);

        function filtra(id, livello) {
            if (livello == '3' || livello == '4') {
                if (livello == '3')
                    var prezzoUnitario = $("[name='idFilterVoce']").find(":selected").attr("data-prezzounitario");
                else
                    var prezzoUnitario = $("[name='idFilterSottoVoce']").find(":selected").attr("data-prezzounitario");

                if (prezzoUnitario > 0) {
                    var um = $("[name='idFilterSottoVoce']").find(":selected").attr("data-um");
                    $("[name='prezzoUnitario']").val(prezzoUnitario);
                    $("[name='um']").val(um);
                } else {
                    $("[name='prezzoUnitario']").val("");
                    $("[name='um']").val("");
                }
            } else {
                $("[name='prezzoUnitario']").val("");
                $("[name='um']").val("");
            }

            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.getFiltersValues&format=raw",
                method: 'POST',
                data: {
                    id: id,
                    livello: livello
                }
            }).done(function (response) {
                response = JSON.parse(response);
                $("[name='idFilterListino']").val(response.data.listini.selected);
                $("[name='idFilterListino']").trigger("chosen:updated");

                $("[name='idFilterCapitolo']").html("<option></option>");
                $.each(response.data.capitoli.values, function (i, val) {
                    var selected = "";
                    if (val.idCapitolo == response.data.capitoli.selected) {
                        selected = "selected";
                    } else {
                        selected = "";
                    }
                    $("[name='idFilterCapitolo']").append("<option value='" + val.idCapitolo + "' " + selected + ">" + val.codiceCapitolo + ": " + val.nome + "</option>");
                })
                $("[name='idFilterCapitolo']").trigger("chosen:updated");

                $("[name='idFilterFamiglia']").html("<option></option>");
                $.each(response.data.famiglie.values, function (i, val) {
                    var selected = "";
                    if (val.idCapitolo == response.data.famiglie.selected) {
                        selected = "selected";
                    } else {
                        selected = "";
                    }
                    $("[name='idFilterFamiglia']").append("<option value='" + val.idCapitolo + "' " + selected + ">" + val.codiceCapitolo + ": " + val.nome + "</option>");
                })
                $("[name='idFilterFamiglia']").trigger("chosen:updated");

                $("[name='idFilterVoce']").html("<option></option>");
                $.each(response.data.voci.values, function (i, val1) {
                    $.each(val1, function (i, val) {
                        var selected = "";
                        if (val.idCapitolo == response.data.voci.selected) {
                            selected = "selected";
                        } else {
                            selected = "";
                        }
                        $("[name='idFilterVoce']").append("<option data-prezzoUnitario='" + val.prezzoUnitario + "' data-um='" + val.um + "' value='" + val.idCapitolo + "' " + selected + ">" + val.codiceCapitolo + ": " + val.nome + "</option>");
                    });

                })
                $("[name='idFilterVoce']").trigger("chosen:updated");

                /*$("[name='idFilterSottoVoce']").html("<option></option>");
                $.each(response.data.sottovoci.values, function (i, val1) {
                    $.each(val1, function (i, val) {
                        var selected = "";
                        if (val.idCapitolo == response.data.sottovoci.selected) {
                            selected = "selected";
                        } else {
                            selected = "";
                        }
                        $("[name='idFilterSottoVoce']").append("<option data-prezzoUnitario='" + val.prezzoUnitario + "' data-um='" + val.um + "' value='" + val.idCapitolo + "' " + selected + ">" + val.codiceCapitolo + ": " + val.nome + "</option>");
                    })
                })
                $("[name='idFilterSottoVoce']").trigger("chosen:updated");*/

                switch (livello) {
                    case -1:
                        $("#idCapitolo").html("");
                        break;
                    case 0:
                        $("#idCapitolo").html("");
                        $.each(response.data.capitoli.values, function (i, val) {
                            var classe = "";
                            if (i % 2 == 0) {
                                classe = "odd";
                            } else {
                                classe = "even";
                            }
                            $("#idCapitolo").append("<p class='" + classe + "'><a class='voce' data-livello='" + val.livello + "' data-id='" + val.idCapitolo + "' href='#'>" + val.codiceCapitolo + ": " + val.nome + "</a></p>")
                        });
                        break;

                    case 1:
                        $("#idCapitolo").html("");
                        var classe = "";
                        $.each(response.data.famiglie.values, function (i, val) {
                            if (i % 2 == 0) {
                                classe = "odd";
                            } else {
                                classe = "even";
                            }
                            $("#idCapitolo").append("<p class='" + classe + "'><a class='voce' data-livello='" + val.livello + "' data-id='" + val.idCapitolo + "' href='#'>" + val.codiceCapitolo + ": " + val.descrizione + "</a></p>")
                        });
                        break;

                    case 2:
                        $("#idCapitolo").html("");
                        var classe = "";
                        $.each(response.data.voci.values, function (i, val1) {
                            $.each(val1, function (i, val) {
                                if (i % 2 == 0) {
                                    classe = "odd";
                                } else {
                                    classe = "even";
                                }
                                $("#idCapitolo").append("<p class='" + classe + "'><a class='voce' data-livello='" + val.livello + "' data-id='" + val.idCapitolo + "' href='#'>" + val.codiceCapitolo + ": " + val.descrizione + "</a></p>")
                            });
                        });
                        break;

                    case 3:
                        $("#idCapitolo").html("");
                        var classe = "";
                        $.each(response.data.sottovoci.values, function (i, val1) {
                            $.each(val1, function (i, val) {
                                if (i % 2 == 0) {
                                    classe = "odd";
                                } else {
                                    classe = "even";
                                }
                                $("#idCapitolo").append("<p class='" + classe + "'><a class='voce' data-livello='" + val.livello + "' data-id='" + val.idCapitolo + "' href='#'>" + val.codiceCapitolo + ": " + val.descrizione + "</a></p>")
                            });
                        });
                        break;


                }

            });
        }

        function getCapitolo(id, livello) {
            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.getCapitolo&format=raw",
                method: 'POST',
                data: {
                    id: id
                }
            }).done(function (response) {
                response = JSON.parse(response);

                $form = $("form[name='addCapitolo']");
                $form.find("[name='prezzoUnitario']").val(response.data.prezzoUnitario);
                $form.find("[name='um']").val(response.data.um);
                $form.find("[name='codiceCapitoloRaw']").val(response.data.codiceCapitoloRaw);
                $form.find("[name='nome']").val(response.data.nome);
                $form.find("[name='idCapitoloRaw']").val(response.data.idCapitolo);
                $form.find("[name='livelloRaw']").val(response.data.livello);
            });
        }

        $(document).on("click", ".voce", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();

            var id = $(this).data('id');
            var livello = $(this).data('livello');
            filtra(id, livello);
            getCapitolo(id, livello)
            /* $.ajax({
                 url: "index.php?option=com_osma&task=preventivatore.getCapitolo&format=raw",
                 method: 'POST',
                 data: {
                     id: id
                 }
             }).done(function (response) {
                 response = JSON.parse(response);

                 $form = $("form[name='addCapitolo']");
                 $form.find("[name='prezzoUnitario']").val(response.data.prezzoUnitario);
                 $form.find("[name='um']").val(response.data.um);
                 $form.find("[name='codiceCapitoloRaw']").val(response.data.codiceCapitoloRaw);
                 $form.find("[name='nome']").val(response.data.nome);
                 $form.find("[name='idCapitoloRaw']").val(response.data.idCapitolo);
                 $form.find("[name='livelloRaw']").val(response.data.livello);
             });*/

            return;
        });

        $(document).on("change", ".filtro", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();

            var id = $(this).val();
            var livello = $(this).data('livello');

            if (id) {
                filtra(id, livello);
                getCapitolo(id, livello)
            } else {
                var livello2 = livello - 1;
                var id = $("[data-livello='" + livello2 + "']").val();
                filtra(id, livello2);
                getCapitolo(id, livello2)
            }


        });

        $(document).on("change", "[name='idCapitolo']", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();

            $id = $(this).val()[0];
            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.getCapitolo&format=raw",
                method: 'POST',
                data: {
                    id: $id
                }
            }).done(function (response) {
                response = JSON.parse(response);

                $form = $("form[name='addCapitolo']");
                $form.find("[name='prezzoUnitario']").val(response.data.prezzoUnitario);
                $form.find("[name='um']").val(response.data.um);
                $form.find("[name='codiceCapitoloRaw']").val(response.data.codiceCapitoloRaw);
                $form.find("[name='nome']").val(response.data.nome);
            });
        });
        $(document).on("click", ".delete-row", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();

            var idVoce = $(this).attr('data-idVoce');

            $.ajax({
                type: 'POST',
                url: "index.php?option=com_osma&task=preventivatore.eliminaVocePreventivo&format=raw",
                data: {
                    idVoce: idVoce
                }
            }).done(function (response) {

                $(this).parents("tr").remove();
                calcolaTotale();
                location.reload();
            });

        });
        $(document).on("click", ".send-preventivo", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            $("form[name='sendPreventivo']").find("input[type='text']").val("");
            $('#sendPreventivo').modal('show');
            return false;
        });
        $(document).on("click", "form[name='copyPreventivo'] .seleziona-all", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            $("form[name='copyPreventivo'] [name='idVoce[]']").attr("checked", "checked");
            return false;
        });
        $(document).on("click", "form[name='copyPreventivo'] .deseleziona-all", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            $("form[name='copyPreventivo'] [name='idVoce[]']").removeAttr("checked");
            return false;
        });
        $(document).on("click", ".copy-preventivo", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            $("form[name='copyPreventivo'] [name='idPreventivo']").val("");
            $("form[name='copyPreventivo'] [name='idPreventivo']").trigger("chosen:updated");
            $("form[name='copyPreventivo'] .vox-container").html("");
            $('#copyPreventivo').modal('show');
            return false;
        });
        $(document).on("click", ".copia-preventivo-button", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();

            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.copiaVoci&format=raw",
                method: "POST",
                data: {
                    copia: $("form[name='copyPreventivo']").serialize(),
                    idPreventivo: $("form[name='preventivo'] [name='idPreventivo']").val(),
                    idChiamata: $("form[name='preventivo'] [name='idChiamata']").val()
                }
            }).done(function (response) {
                response = JSON.parse(response);
                if (response.success) {
                    $('#copyPreventivo').modal('hide');
                    window.location = response.data;
                }
            });
            return false;
        });
        $(document).on("change", "form[name='copyPreventivo'] [name='idPreventivo']", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.getVociPreventivo&format=raw",
                method: "POST",
                data: {
                    idPreventivo: $(this).val()
                }
            }).done(function (response) {
                response = JSON.parse(response);
                if (response.success) {
                    $(".vox-container").html(response.data);
                }
            });
            return false;
        });
        $(document).on("click", ".invia-preventivo-button", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.inviaPreventivo&format=raw",
                data: $("form[name='sendPreventivo']").serializeArray(),
                method: 'POST'
            }).done(function (response) {
                response = JSON.parse(response);
                if (response.success) {
                    $('#sendPreventivo').modal('hide');
                }
            });
            return false;
        });
        $(document).on("click", ".export-preventivo", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            return false;
        });
        $('[data-toggle="tooltip"]').tooltip()

        $(document).on("click", ".add-capitolo-submit", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();



            $form = $("form[name='addCapitolo']");
            $form.find(".required").each(function () {
                if ($.trim($(this).val()) === "") {
                    $(this).addClass("invalid");
                } else {
                    $(this).removeClass("invalid");
                }
            });

            /*if ($form.find(".required.invalid").size() > 0) {
                return;
            }*/



            $sconto = isNaN(parseFloat($form.find("[name='sconto']").val())) ? 0 : parseFloat($form.find("[name='sconto']").val());
            $pu = isNaN(parseFloat($form.find("[name='prezzoUnitario']").val())) ? 0 : parseFloat($form.find("[name='prezzoUnitario']").val());
            $quantita = isNaN(parseInt($form.find("[name='quantita']").val())) ? 0 : parseInt($form.find("[name='quantita']").val());
            $totale = $pu * $quantita;
            $discountValue = ($totale / 100) * $sconto;
            $totalescontato = ($totale - $discountValue);
            $totalescontato = Math.round($totalescontato * 100) / 100;

            var livello = $form.find("[name='livelloRaw']").val();
            var descrizionePadre = "";

            if (livello == "4") {
                var idSelezionato = $form.find("[name='idCapitoloRaw']").val();
                $.ajax({
                    url: "index.php?option=com_osma&task=preventivatore.descrizioneVoce&format=raw",
                    data: {livello: livello, id: idSelezionato},
                    method: 'POST',
                    async: false
                }).done(function (response) {
                    response = JSON.parse(response);
                    if (response.success) {
                        descrizionePadre = response.data;
                    }
                });
            }


            //recupero dati voce da salvare
            var datiVoce={};
            var voceID="";

            datiVoce['idPreventivo']=$form.find("[name='idPreventivoRaw']").val();
            datiVoce['idCapitolo']=$form.find("[name='idCapitoloRaw']").val();
            datiVoce['nome']=descrizionePadre + " " + $form.find("[name='nome']").val();
            datiVoce['prezzoUnitario']=$form.find("[name='prezzoUnitario']").val();
            datiVoce['quantita']=$form.find("[name='quantita']").val();
            datiVoce['um']=$form.find("[name='um']").val();
            datiVoce['sconto']=$form.find("[name='sconto']").val();
            datiVoce['note']=$form.find("[name='note']").val();
            var max = 0;
            $('.order').each(function() {
                var value = parseInt($(this).data('orderid'));
                max = (value > max) ? value : max;
            });
            datiVoce['orderId']=max+1;

            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.salvaVoce&format=raw",
                method: 'POST',
                data: {
                    dati: datiVoce
                }
            }).done(function (response) {
                voceID=response;


                $html = "";
                $html += "<tr>";

                $html += "<input data-orderid='"+datiVoce['orderId']+"' class='order' name='orderId[]' value='" + datiVoce['orderId'] + "' type='hidden' />";
                $html += "<input class='orderVoceID' name='orderVoceID[]' value='" + voceID + "' type='hidden' />";

                $html += "<td>";
                $html += $form.find("[name='idCapitoloRaw']").val() > 0 ? $form.find("[name='idCapitoloRaw']").val() : "-";
                $html += "<input name='idCapitolo[]' value='" + $form.find("[name='idCapitoloRaw']").val() + "' type='hidden' />";
                $html += "</td>";
                $html += "<td>";
                $html += $form.find("[name='codiceCapitoloRaw']").val() !== "" ? $form.find("[name='codiceCapitoloRaw']").val() : "-";
                $html += "</td>";
                $html += "<td>";
                $html += descrizionePadre + " " + $form.find("[name='nome']").val();

                if ($form.find("[name='note']").val() && $form.find("[name='note']").val() != "") {
                    $html += "<br /><small><strong>Note: </strong>" + $form.find("[name='note']").val() + "</small>";
                }

                $html += "<input name='nome[]' value='" + descrizionePadre + " " + $form.find("[name='nome']").val() + "' type='hidden' />";
                $html += "</td>";
                $html += "<td class=''>";
                $html += $form.find("[name='um']").val();
                $html += "<input name='um[]' value='" + $form.find("[name='um']").val() + "' type='hidden' />";
                $html += "</td>";
                $html += "<td class='text-right'>";
                $html += $form.find("[name='quantita']").val();
                $html += "<input name='quantita[]' value='" + $form.find("[name='quantita']").val() + "' type='hidden' />";
                $html += "</td>";
                $html += "<td class='text-right'>";
                $html += number_format($form.find("[name='prezzoUnitario']").val(), 2, ",", ".") + " €";
                $html += "<input name='prezzoUnitario[]' value='" + $form.find("[name='prezzoUnitario']").val() + "' type='hidden' />";
                $html += "</td>";
                $html += "<td class='text-right'>";
                $html += number_format($totale, 2, ",", ".") + " €";
                $html += "</td>";
                $html += "<td class='text-right'>";
                $html += $sconto + "%";
                $html += "<input name='sconto[]' value='" + $form.find("[name='sconto']").val() + "' type='hidden' />";
                $html += "</td>";
                $html += "<td class='text-right'>";
                $html += number_format($totalescontato, 2, ",", ".") + " €";
                $html += "<input name='noteVoci[]' value='" + $form.find("[name='note']").val() + "' type='hidden' />";
                $html += "</td>";
                $html += "<td class='text-right' style='display: flex;align-items: center;justify-content: space-between;'>";
                $html += "<a class='btn btn-secondary modify-row btn-sm' data-idVoce='"+voceID+"' href='javascript:void(0);'><i class='fa fa-pencil' data-toggle='tooltip' data-placement='top' title='Modifica riga'></i></a>";
                $html += "<a class='btn btn-warning delete-row btn-sm' data-idVoce='"+voceID+"' href='javascript:void(0);' onclick='return confirm(\"Sicuro di voler eliminare la riga selezionata?\")'><i class='fa fa-times' data-toggle='tooltip' data-placement='top' title='Elimina riga'></i></a>";


                //$html += "<a class='btn btn-warning delete-row btn-sm'><i class='fa fa-times'></i> Rimuovi</a>";
                $html += "</td>";
                $html += "</tr>";

                $('table.preventivo tbody').append($html);

                calcolaTotale(function () {
                    $('#add-voce').modal('hide');
                });
            });



        });

        function number_format(number, decimals, dec_point, thousands_sep) {
            // Strip all characters but numerical ones.
            number = (number + '').replace(/[^0-9+\-Ee.]/g, '');
            var n = !isFinite(+number) ? 0 : +number,
                prec = !isFinite(+decimals) ? 0 : Math.abs(decimals),
                sep = (typeof thousands_sep === 'undefined') ? ',' : thousands_sep,
                dec = (typeof dec_point === 'undefined') ? '.' : dec_point,
                s = '',
                toFixedFix = function (n, prec) {
                    var k = Math.pow(10, prec);
                    return '' + Math.round(n * k) / k;
                };
            // Fix for IE parseFloat(0.55).toFixed(0) = 0;
            s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
            if (s[0].length > 3) {
                s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
            }
            if ((s[1] || '').length < prec) {
                s[1] = s[1] || '';
                s[1] += new Array(prec - s[1].length + 1).join('0');
            }
            return s.join(dec);
        }

        function calcolaTotale(callback) {
            $form = $("form[name='preventivo']");
            if ($form.find("[name='idCapitolo[]']").size() === 0) {
                $("#preventivo-panel .panel-footer .lordo").text("-");
                $("#preventivo-panel .panel-footer .lavori").text("-");
                $("#riepilogo-panel  .lordo h3").text("-");
                $("#riepilogo-panel  .lavori h3").text("-");
                $form.find("[type='submit']").removeAttr("disabled");
                return;
            }

            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.calcolaTotale&format=raw",
                data: $form.serialize(),
                method: 'POST'
            }).done(function (response) {
                response = JSON.parse(response);
                if (response.success) {
                    $("#preventivo-panel .panel-footer .lordo").text(response.data.lordo);
                    $("#preventivo-panel .panel-footer .lavori").text(response.data.lavori);
                    $("#riepilogo-panel  .lordo h3").text(response.data.lordo);
                    $("#riepilogo-panel  .lavori h3").text(response.data.lavori);
                    $form.find("[type='submit']").removeAttr("disabled");
                }
                if (typeof callback === "function") {
                    callback();
                }
            });
        }

    });

</script>

<style>
    .header {
        margin-top: 7.5px;
    }

    .header > div {
        padding-top: 7.5px
    }
</style>